# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit 0c19629f1a69caa8b68875a3f2933a6099b33adc
Merge: a172c86e 79323150
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 14 00:17:24 2025 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 79323150ea5893b3f5d38a87e40e1c735451f7ff
Merge: 4a421679 65ffef70
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 14 00:16:57 2025 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 65ffef704b4a6a2eb3d70799a35d2c2164e154fe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 14 00:15:36 2025 +0200

    Prevent 2 Clang warnings.

 src/icewmbg.cc | 4 ++--
 src/wmprog.h   | 1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 4a4216792c917504c1e58cbb184fdfdca3184802
Merge: af1850fb bb8f7de0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 13 22:19:35 2025 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit bb8f7de08e5a002f2d22aa0655b75eddd4f07c6f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 13 17:00:24 2025 +0200

    Use the precise buffer length for a mstring of long.

 src/mstring.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2e3a94a6c33721fc99feb940c6e1969fb243adeb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 13 16:44:55 2025 +0200

    Always keep message dialogs above the WindowList.

 src/ymsgbox.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f08de4f733d8c922c49219fe8225aa3bea3f8ad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 13 16:40:00 2025 +0200

    Drop the fCount field from mstring to save 8 bytes per mstring.

 src/mstring.cc | 64 ++++++++++++++++++++++++++----------------------------
 src/mstring.h  | 16 +++++++-------
 2 files changed, 39 insertions(+), 41 deletions(-)

commit 2129c9c9f80792da48678066b6f9fd77b5d9cbea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 12 16:24:53 2025 +0200

    Drop unused offset from mstring to save 8 bytes per mstring.

 src/mstring.cc | 21 +++++++++------------
 src/mstring.h  |  9 +++------
 src/yurl.cc    |  6 ++----
 3 files changed, 14 insertions(+), 22 deletions(-)

commit 98114a34cb4424ef3720af03221571177ec20126
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 11 17:39:37 2025 +0200

    Restore previous code for calculating the amount of User Memory and
    closes ice-wm/icewm#199.

 src/amemstatus.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit a52f5e363c18e9d2b292746f6297e9a059506ca5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 9 21:05:18 2025 +0200

    Document that a toolbar is a also a menu.

 man/icewm-toolbar.pod | 3 +++
 1 file changed, 3 insertions(+)

commit 6f37ed86f222bd0e6a05965aacb5544d4920873b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 9 21:04:18 2025 +0200

    Only use C strings in endsWith and startsWith.

 src/mstring.cc | 22 ++++++++++++++++------
 src/mstring.h  |  7 ++++---
 2 files changed, 20 insertions(+), 9 deletions(-)

commit 8bfe499bf979e31f29251d13022692e355183a08
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 9 21:03:22 2025 +0200

    Only use C strings in nextExt.

 src/udir.cc | 4 ++--
 src/udir.h  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 98fbfae34edd0d37f484a3faf3ed4a96cc72cd0e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 9 21:02:37 2025 +0200

    Permit dots in theme directory names.

 src/wmapp.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55a0e2ee9e76af6ad443d634dd87f3fd0f9b1dd4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 7 21:45:29 2025 +0200

    Remove the IApp from DObject and DProgram to save some memory.

 src/obj.h     | 8 ++------
 src/wmmenu.cc | 2 +-
 src/wmprog.cc | 3 +--
 src/wmprog.h  | 3 +--
 4 files changed, 5 insertions(+), 11 deletions(-)

commit bb0ab488f6ea4b4d17596c2ac1090d09c901cfcc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 5 09:24:42 2025 +0200

    Simplify handleSMAction where WMAction equals YAction.

 src/wmapp.cc | 21 ++-------------------
 1 file changed, 2 insertions(+), 19 deletions(-)

commit 4dd1c1ca286d61383ae3d6b3cefb739aa788099c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 5 09:21:51 2025 +0200

    Simplify icewm actions.

 src/wmaction.h      | 31 +++++++++++++++---------------
 src/wmbutton.h      |  6 +++---
 src/wmdialog.cc     | 50 ++++++++++++++++++++++---------------------------
 src/yactionbutton.h |  5 +----
 4 files changed, 42 insertions(+), 50 deletions(-)

commit a53bb64b07d5fb4718ed8602a5e86e8aa7e6dd82
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 3 20:06:47 2025 +0200

    Focus the first item in a browse menu.

 src/browse.cc | 1 +
 src/ymenu.h   | 1 +
 2 files changed, 2 insertions(+)

commit 8eb74987324103060b80285d6a46c90afbed0b50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 2 22:25:28 2025 +0200

    Make the BrowseMenu much faster and use less memory. Drop the DFile.

 src/browse.cc | 102 +++++++++++++++++++++++++++++++++++++++++++-----------
 src/browse.h  |  28 ++++++++-------
 src/wmprog.cc |  23 +++---------
 src/wmprog.h  |  10 ------
 4 files changed, 100 insertions(+), 63 deletions(-)

commit e172479483005126775cc1e38b2891143870385c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 2 22:24:24 2025 +0200

    Document that the OpenCommand is for the Start menu.

 man/icewm-preferences.pod | 2 +-
 src/default.h             | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bce145ad87794a422722e516c11e770c7739a83d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 1 22:38:50 2025 +0200

    Allow to reload the toolbar from the dialog.

 src/wmaction.h  |  1 +
 src/wmdialog.cc |  4 ++--
 src/wmdialog.h  | 14 +++++++-------
 3 files changed, 10 insertions(+), 9 deletions(-)

commit 41dadef179eab5be34bb609d878f4f519003c658
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 1 04:16:50 2025 +0200

    Reduce the amount of memory needed for keybindings from the "keys" file.

 src/obj.h     |   2 +-
 src/wmmenu.cc |  88 +++++++++++++++++++----------------------
 src/wmmgr.cc  |   4 +-
 src/wmprog.cc | 110 +++++++++++++++++++++++----------------------------
 src/wmprog.h  | 116 +++++++++++++++++++++++++++---------------------------
 5 files changed, 152 insertions(+), 168 deletions(-)

commit 5d5691c24f9943c3e2c7f9cb4d33b1faa3be7fc9
Author: Kempelen <lion@cmsbazar.hu>
Date:   Mon Jun 30 10:16:48 2025 +0000

    Translated using Weblate (Hungarian)

    Currently translated at 100.0% (525 of 525 strings)

 po/hu.po | 60 +++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 47 insertions(+), 13 deletions(-)

commit cd99717b1e6f31a70ddcda19f54a9374203aa3ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 30 02:11:56 2025 +0200

    Reduce the size of a DTheme from 88 bytes to 32 bytes.

 src/themes.cc | 31 ++++++++-----------------------
 src/themes.h  | 11 ++++-------
 2 files changed, 12 insertions(+), 30 deletions(-)

commit a172c86efae4080f6a76f837f62d016d4fdac48d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 23:57:30 2025 +0200

    Prepare 3.8.0 release

 AUTHORS      |   5 +-
 ChangeLog    | 703 +++++++++++++++++++++++++++++--------------------------
 NEWS         |  89 ++++---
 README.md    |  16 +-
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     | 140 +++++------
 po/ast.po    | 140 +++++------
 po/be.po     | 140 +++++------
 po/bg.po     | 140 +++++------
 po/ca.po     | 140 +++++------
 po/cs.po     | 140 +++++------
 po/da.po     | 140 +++++------
 po/de.po     | 140 +++++------
 po/el.po     | 140 +++++------
 po/en.po     | 140 +++++------
 po/eo.po     | 140 +++++------
 po/es.po     | 140 +++++------
 po/fa.po     | 140 +++++------
 po/fi.po     | 140 +++++------
 po/fr.po     | 140 +++++------
 po/he.po     | 140 +++++------
 po/hi.po     | 140 +++++------
 po/hr.po     | 140 +++++------
 po/hu.po     | 140 +++++------
 po/icewm.pot | 142 +++++------
 po/id.po     | 140 +++++------
 po/ie.po     | 140 +++++------
 po/it.po     | 140 +++++------
 po/ja.po     | 140 +++++------
 po/ka.po     | 140 +++++------
 po/kk.po     | 140 +++++------
 po/ko.po     | 140 +++++------
 po/lt.po     | 140 +++++------
 po/lv.po     | 140 +++++------
 po/mk.po     | 140 +++++------
 po/nb.po     | 140 +++++------
 po/nl.po     | 140 +++++------
 po/nn.po     | 140 +++++------
 po/no.po     | 140 +++++------
 po/pl.po     | 140 +++++------
 po/pt.po     | 140 +++++------
 po/pt_BR.po  | 140 +++++------
 po/ro.po     | 140 +++++------
 po/ru.po     | 140 +++++------
 po/sk.po     | 140 +++++------
 po/sl.po     | 347 +++++++++++++--------------
 po/sr.po     | 350 +++++++++++++--------------
 po/sv.po     | 140 +++++------
 po/tr.po     | 140 +++++------
 po/uk.po     | 140 +++++------
 po/vi.po     | 140 +++++------
 po/zh_CN.po  | 140 +++++------
 po/zh_TW.po  | 140 +++++------
 55 files changed, 4012 insertions(+), 3954 deletions(-)

commit 2712e0f71307d474b252fbf47067b02076ee567b
Merge: 59417d76 af1850fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 23:52:11 2025 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit af1850fb417d5c1522795a385cc19089117a8021
Merge: fcb3dc08 9f4e0157
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 23:42:25 2025 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 9f4e015746997ec395d8b0513f7c30cdc9ce3798
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 21:57:33 2025 +0200

    Prefer gtar to install themes on OpenSolaris/OpenIndiana.

 src/theminst.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f7c900189fcb364aab10e72746d7a1d80f4b4db
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 16:59:07 2025 +0200

    Remove surplus right-square-bracket.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75412aa77977cf390d162c7d65ed8c8ea1973b4e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 16:50:56 2025 +0200

    Prefer a non-deterministic random number generator.

 configure.ac       |  3 ++-
 src/CMakeLists.txt |  1 +
 src/icesh.cc       | 15 ++++++++++++---
 src/icewmbg.cc     |  6 ++++++
 4 files changed, 21 insertions(+), 4 deletions(-)

commit 1b7299944c459c4948dda0460d52a2c172b9c0ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 12:35:24 2025 +0200

    Silence clang warnings on OpenBSD.

 src/debug.h | 2 ++
 1 file changed, 2 insertions(+)

commit c9438477c66768a36d36a5e446cd37a395b5cb1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:59:25 2025 +0200

    Optimize the Themes menu. First popup the Themes menu and only then look
    for theme alternatives. Provide a theme button preview to the themes
    Menu. Extend the Help menu.

 src/themes.cc | 441 ++++++++++++++++++++++++++++++++++++++----------------
 src/themes.h  |  74 ++++-----
 src/wmprog.cc |  55 ++-----
 src/wmprog.h  |   6 +-
 4 files changed, 362 insertions(+), 214 deletions(-)

commit bd5bdcab08b9db993a463d0292daa32bc72df8d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:59:03 2025 +0200

    Drop the obsolete toUpper from ASCII.

 src/ascii.h | 5 -----
 1 file changed, 5 deletions(-)

commit 5e2ebd42c52e27b94eea4a44f32718c90ee4da41
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:58:19 2025 +0200

    Add discard declaration to the ObjectMenu.

 src/objmenu.h | 3 +++
 1 file changed, 3 insertions(+)

commit 875f52cf4092a11c32cb6b131a8658121c80eb7a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:57:49 2025 +0200

    Clear array in ObjectMenu discard.

 src/objmenu.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 1fd2ab97bda921a826a2871e541fc9e4f48fe9b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:57:14 2025 +0200

    Convert case in mstrings with respect to the current locale.

 src/mstring.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a8b52388a098b85dbf750dc58a5744f9f3a5372d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:56:30 2025 +0200

    Plus the launhHelp declaration.

 src/wmapp.h | 1 +
 1 file changed, 1 insertion(+)

commit f74f515711dbabb158b4ccff866552fb235522a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:55:55 2025 +0200

    Add Help actions.

 src/wmaction.h | 12 ++++++++++++
 src/wmapp.cc   | 30 ++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

commit 4ebd1e782b4e3bcb43036ff2824aba340b789f32
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:54:58 2025 +0200

    Use the taskbar parameters consistently.

 src/wmtaskbar.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1860ff0e113aa64ab54407b881f444e7f67ba422
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:54:01 2025 +0200

    Convert button hotkeys to uppercase with respect for the current locale.

 src/ybutton.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6b6ad5428324a9ad2ecd006dc95dd1076754370a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:52:53 2025 +0200

    Convert HotChars in a menu to uppercase with respect for the current
    locale.

 src/ymenu.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 3c7c4b2bc5700253698e871d1a55fc9edaa60f28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:52:03 2025 +0200

    YMenuItem doesn't need to be virtual.

 src/ymenuitem.cc | 11 +----------
 src/ymenuitem.h  | 10 ++++------
 2 files changed, 5 insertions(+), 16 deletions(-)

commit cc0f21d82b86ba58b8e4bee6222e3000f71ad823
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 22 11:50:50 2025 +0200

    Convert a hotkey to uppercase with respect for the current locale.

 src/ywindow.cc | 20 ++++++++------------
 src/ywindow.h  |  2 ++
 2 files changed, 10 insertions(+), 12 deletions(-)

commit 8dd3448f72564649df516f8d3100ce3ca8a09c02
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sat Jun 21 20:05:21 2025 +0000

    Translated using Weblate (Serbian)

    Currently translated at 96.3% (506 of 525 strings)

 po/sr.po | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit e5d3880f5bdbc1fa7f37f5f73c57dd0e07df09e4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 14 19:32:16 2025 +0200

    Optimize renderToPixmap for the imlib2 layer.

 src/yimage2.cc | 35 ++++++++++++++++++++++++++---------
 1 file changed, 26 insertions(+), 9 deletions(-)

commit eed6dfeeb64d9c27fcb643196a85de1f3ec48262
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 14 19:31:18 2025 +0200

    Optimize the MEM graph to reduce the background load of icewm.

 src/amemstatus.cc | 174 ++++++++++++++++++++++++++++++--------------------
 src/amemstatus.h  |  59 ++++++++++++-----
 2 files changed, 150 insertions(+), 83 deletions(-)

commit 162ad9e1580d74a15f1f2cd9194403c5d47d48e1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 14 19:30:55 2025 +0200

    Avoid work for translators for now.

 src/icewmbg.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a694c720a6f390c38906fffd9c04a98187b6f2db
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Mon Jun 9 19:03:58 2025 +0000

    Translated using Weblate (Serbian)

    Currently translated at 96.3% (506 of 525 strings)

 po/sr.po | 159 +++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 138 insertions(+), 21 deletions(-)

commit 71bc70a93e5e79cb057f7575732f9ae7a226d2a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 9 21:09:35 2025 +0200

    Optimization of the CPU graph.

 src/acpustatus.cc | 43 +++++++++++++++++--------------------------
 src/acpustatus.h  | 16 ++++++++--------
 src/yarray.h      |  5 +++++
 3 files changed, 30 insertions(+), 34 deletions(-)

commit 0169af02b789273a3e8ddc014fc392d3f5baf635
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 9 00:26:14 2025 +0200

    Optimize the CPU graph when taskbarbg.xpm is a gradient and
    ColorCPUStatusIdle is the empty string.

 src/acpustatus.cc | 80 +++++++++++++++++++++++++++------------------------
 src/acpustatus.h  |  2 ++
 2 files changed, 45 insertions(+), 37 deletions(-)

commit 9fdc9b504a2969dd8e2c6ecf61e36fb25dbba0f6
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Jun 5 12:50:31 2025 +0200

    Mention --postpreferences in usage info

 src/icewmbg.cc | 1 +
 1 file changed, 1 insertion(+)

commit 9cdad0a1dfc4d52442382fc9d7a176224cd21687
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 29 23:42:40 2025 +0200

    Include sr in LINGUAS.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit b26e4c72ef75c5f47a9869c82b72ec81c6708a96
Author: Jure Repinc <jlp@holodeck1.com>
Date:   Wed May 28 03:49:51 2025 +0000

    Translated using Weblate (Slovenian)

    Currently translated at 100.0% (525 of 525 strings)

 po/sl.po | 135 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 67 insertions(+), 68 deletions(-)

commit 54612824196372e22f084bb816830315339e7e10
Author: Jure Repinc <jlp@holodeck1.com>
Date:   Wed May 28 02:53:50 2025 +0000

    Translated using Weblate (Slovenian)

    Currently translated at 100.0% (525 of 525 strings)

 po/sl.po | 308 ++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 218 insertions(+), 90 deletions(-)

commit 3340693394616b25ae03f0978e185630dd0623e9
Author: Jure Repinc <jlp@holodeck1.com>
Date:   Tue May 27 22:16:36 2025 +0000

    Translated using Weblate (Slovenian)

    Currently translated at 98.0% (515 of 525 strings)

 po/sl.po | 432 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 227 insertions(+), 205 deletions(-)

commit 5de02bba6e05f186b9df28064883492773091b2b
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Mon May 26 19:48:11 2025 +0000

    Translated using Weblate (Serbian)

    Currently translated at 91.0% (478 of 525 strings)

 po/sr.po | 1003 +++++++++++++++++++++++++++++++---------------------------
 1 file changed, 537 insertions(+), 466 deletions(-)

commit 59417d768ba7b2b755ed988f222636e9a8a7cee8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 25 21:15:21 2025 +0200

    Prepare 3.7.5 release

 AUTHORS      |   6 +-
 ChangeLog    | 482 +++++++++++++++++++++++++++++--------------------------
 NEWS         |  78 +++++----
 README.md    |  16 +-
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  90 +++++------
 po/ast.po    |  90 +++++------
 po/be.po     |  90 +++++------
 po/bg.po     |  90 +++++------
 po/ca.po     | 274 +++++++++++++++----------------
 po/cs.po     |  90 +++++------
 po/da.po     |  90 +++++------
 po/de.po     |  90 +++++------
 po/el.po     |  90 +++++------
 po/en.po     |  90 +++++------
 po/eo.po     |  90 +++++------
 po/es.po     |  90 +++++------
 po/fa.po     |  90 +++++------
 po/fi.po     |  90 +++++------
 po/fr.po     |  90 +++++------
 po/he.po     |  90 +++++------
 po/hi.po     |  90 +++++------
 po/hr.po     |  90 +++++------
 po/hu.po     |  90 +++++------
 po/icewm.pot |  92 +++++------
 po/id.po     |  90 +++++------
 po/ie.po     |  90 +++++------
 po/it.po     |  90 +++++------
 po/ja.po     |  90 +++++------
 po/ka.po     |  90 +++++------
 po/kk.po     |  90 +++++------
 po/ko.po     |  90 +++++------
 po/lt.po     |  90 +++++------
 po/lv.po     |  90 +++++------
 po/mk.po     |  90 +++++------
 po/nb.po     |  90 +++++------
 po/nl.po     | 274 +++++++++++++++----------------
 po/nn.po     |  90 +++++------
 po/no.po     |  90 +++++------
 po/pl.po     |  90 +++++------
 po/pt.po     |  90 +++++------
 po/pt_BR.po  |  90 +++++------
 po/ro.po     |  90 +++++------
 po/ru.po     |  90 +++++------
 po/sk.po     |  90 +++++------
 po/sl.po     |  90 +++++------
 po/sv.po     |  90 +++++------
 po/tr.po     |  90 +++++------
 po/uk.po     |  90 +++++------
 po/vi.po     |  90 +++++------
 po/zh_CN.po  |  90 +++++------
 po/zh_TW.po  |  90 +++++------
 54 files changed, 2614 insertions(+), 2582 deletions(-)

commit fbb697f9c0e9d7dfde1fd566546896821549e42a
Merge: 1034f2cf fcb3dc08
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 25 21:08:20 2025 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit fcb3dc08b2134016f58be18b55c06cf3a5b28e13
Merge: cd1d2c05 7dfd5177
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 25 21:07:49 2025 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7dfd5177173bdfa6287400c9e0bb7f6b313da943
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 25 19:44:13 2025 +0200

    When toggling the WindowList, raise the WindowList if it is overlapped.

 src/wmapp.cc | 27 +++++++++++++++++++++++----
 src/wmapp.h  |  1 +
 2 files changed, 24 insertions(+), 4 deletions(-)

commit 6fa77beb63078ce871449158fd652c0aa3ac027d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 25 19:43:37 2025 +0200

    Prefer activateWindow over setFocus for the WindowList.

 src/wmwinlist.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c4ed5cd3511fea1ec5031e5b29180b0f3a781f94
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 25 19:43:10 2025 +0200

    Add unionRect for a YRect parameter.

 src/yrect.h | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit c18b775b91d1a7966f55d20d49ddc91fe7797d58
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Tue May 20 17:20:41 2025 +0000

    Added translation using Weblate (Serbian)

 po/sr.po | 2710 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2710 insertions(+)

commit 6a63c3f4736f5ecf7475392c4edd91969024100a
Author: Feike Donia <feikedonia@proton.me>
Date:   Sat May 17 21:14:29 2025 +0000

    Translated using Weblate (Dutch)

    Currently translated at 99.8% (524 of 525 strings)

 po/nl.po | 29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit 14897b2f168f9c640345409b96672867fb2c3877
Author: David Medina <medipas@gmail.com>
Date:   Fri May 9 07:45:54 2025 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (525 of 525 strings)

 po/ca.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9de6c5ec172f35e55b63a7482691d37be0c371f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 5 23:41:57 2025 +0200

    Drop the "--debug-z" option. For each over workspaces. For frames the
    lower and raise should be empty.

 src/debug.h      |  1 -
 src/misc.cc      |  1 -
 src/wmapp.cc     |  2 --
 src/wmframe.cc   | 33 ++-------------------------------
 src/wmmgr.cc     | 12 +++---------
 src/workspaces.h |  8 ++++++++
 6 files changed, 13 insertions(+), 44 deletions(-)

commit 1a62314d672fbb72aa0dd4e9d16f23e2048fd340
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 5 23:40:28 2025 +0200

    Silence compiler on unknown pragmas.

 src/debug.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 249c0c8b2b8a8c58bb9af6622d05e4244f0f637b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 4 09:05:36 2025 +0200

    Ignore key repeats in the runonce command for keys for issue
    ice-wm/icewm#175. Document the runonce command for keys.

 man/icewm-keys.pod     | 22 ++++++++++++++++++++++
 man/icewm-menu.pod     | 14 +++++++-------
 man/icewm-programs.pod | 14 +++++++-------
 src/wmmgr.cc           | 26 ++++++++++++++++++++------
 src/wmmgr.h            |  5 ++++-
 src/wmprog.h           |  2 ++
 6 files changed, 62 insertions(+), 21 deletions(-)

commit cb9eb28c02d64f400f1c464a925ba90e90430a52
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 4 08:56:48 2025 +0200

    Allow setGeometry for windows without a WM_NORMAL_HINTS property in icesh.

 src/icesh.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 4603a667999d81b2e88a51dedd1b9e761d384b74
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 29 08:24:12 2025 +0200

    Revert "Plug a few leaks in icewm-menu-fdo." and closes #801.
    This reverts commit a0c98f2f95ba8a363830165b1a593f1108636217.

 src/fdomenu.cc | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit b011d3650b82501bc2a47b081d1978bb7bbbe2a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 28 21:38:25 2025 +0200

    Document the new -l,--lang option for icewm-menu-fdo.

 man/icewm-menu-fdo.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit d58ee6d84a5f654c812f2992e464f79fc371b316
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 28 21:34:29 2025 +0200

    Fix comparing language codes for issue #800. Support three-letter
    language codes.

 src/fdomenu.cc | 184 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 114 insertions(+), 70 deletions(-)

commit a0c98f2f95ba8a363830165b1a593f1108636217
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 24 22:29:06 2025 +0200

    Plug a few leaks in icewm-menu-fdo.

 src/fdomenu.cc | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit b2bf52f1426bbebcad90d88e8edab0f3ade55caa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 24 20:59:18 2025 +0200

    Rename findWindow(int) to findByFlags.

 src/wmframe.cc |  6 +++---
 src/wmframe.h  |  2 +-
 src/wmmgr.cc   | 17 ++++++++---------
 3 files changed, 12 insertions(+), 13 deletions(-)

commit 3544d192c645ae95a0742c3d243ee4cd272e5a65
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 24 20:51:13 2025 +0200

    Add support for svgz to icewmbg.

 src/icewmbg.cc | 1 +
 1 file changed, 1 insertion(+)

commit 2601cc57a1c59e2bee8f77f7dfaa1a90cf7ff852
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 22:06:32 2025 +0200

    Silence Clang about VLAs.

 src/debug.h | 1 +
 1 file changed, 1 insertion(+)

commit 1034f2cfa99ed1ea6ceb63bb7787752adffd0ac2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 20:43:35 2025 +0200

    Prepare 3.7.4 release

 AUTHORS      |   16 +-
 ChangeLog    | 1045 ++++++++++++++++++++++++------------------------------
 NEWS         |  139 ++++----
 README.md    |   16 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |  138 +++----
 po/ast.po    |  132 +++----
 po/be.po     |  134 +++----
 po/bg.po     |  134 +++----
 po/ca.po     |  138 +++----
 po/cs.po     |  138 +++----
 po/da.po     |  138 +++----
 po/de.po     |  250 ++++++-------
 po/el.po     |  138 +++----
 po/en.po     |  132 +++----
 po/eo.po     |  132 +++----
 po/es.po     |  250 ++++++-------
 po/fa.po     |  132 +++----
 po/fi.po     |  138 +++----
 po/fr.po     |  250 ++++++-------
 po/he.po     |  134 +++----
 po/hi.po     |  132 +++----
 po/hr.po     |  134 +++----
 po/hu.po     |  140 ++++----
 po/icewm.pot |  134 +++----
 po/id.po     |  138 +++----
 po/ie.po     |  137 +++----
 po/it.po     |  254 ++++++-------
 po/ja.po     |  138 +++----
 po/ka.po     |  134 +++----
 po/kk.po     |  136 +++----
 po/ko.po     |  134 +++----
 po/lt.po     |  134 +++----
 po/lv.po     |  134 +++----
 po/mk.po     |  134 +++----
 po/nb.po     |  134 +++----
 po/nl.po     |  138 +++----
 po/nn.po     |  137 +++----
 po/no.po     |  134 +++----
 po/pl.po     |  138 +++----
 po/pt.po     |  138 +++----
 po/pt_BR.po  |  246 ++++++-------
 po/ro.po     |  134 +++----
 po/ru.po     |  258 +++++++-------
 po/sk.po     |  138 +++----
 po/sl.po     |  134 +++----
 po/sv.po     |  138 +++----
 po/tr.po     |  138 +++----
 po/uk.po     |  138 +++----
 po/vi.po     |  134 +++----
 po/zh_CN.po  |  250 ++++++-------
 po/zh_TW.po  |  250 ++++++-------
 54 files changed, 4314 insertions(+), 4214 deletions(-)

commit 7f5125295fed8fb7130097490fc5de27c21cffa0
Merge: 1c8850f8 cd1d2c05
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 20:33:05 2025 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit cd1d2c05c68e2d83f6b91fe59cf925051367f3a6
Merge: 14563ee6 5382e625
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 20:31:00 2025 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 5382e6256e4acb1ec6d53c405760cde90e7e2826
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 11:36:00 2025 +0200

    Permit some global keys in case the global keybinds are not active.

 src/wmmgr.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit fd786a4e4867e73ca93fa00bf8e5c839b0fa3b9e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 11:16:20 2025 +0200

    Fix typo.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7f1f23ab8b9c5371efbb3fd19b0e4df1452e58f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 11:13:30 2025 +0200

    Restack the windows after a QuickSwitch has ended.

 src/wmprog.cc   |  4 ++--
 src/wmswitch.cc | 16 +++++++++-------
 src/wmswitch.h  |  4 ++--
 3 files changed, 13 insertions(+), 11 deletions(-)

commit 8048b2263ba2c7ad0a70aca0b2b07c323368d1b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 21 11:12:23 2025 +0200

    In getLastFocus, ignore unmanaged frames.

 src/wmframe.cc | 2 ++
 src/wmmgr.cc   | 7 +++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit c746e42b5212b5213a9b6279802bafeaa225a6f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 20 22:29:19 2025 +0200

    Improve CAD-dialog up-down traversal.

 src/wmdialog.cc | 43 ++++++++++++++++++++++++++++++++++---------
 1 file changed, 34 insertions(+), 9 deletions(-)

commit e1da03c0c9f15c6c12bf70bb4312d33cdef92db4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 20 19:49:40 2025 +0200

    Replace -lXRes with $(XRES_LIBS) for icesh.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f39d195103f6a5922320188f421fc5815773bbc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 20 18:05:01 2025 +0200

    Fix the stacking order when a QuickSwitch ends.

 src/wmswitch.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 33226d704d42d7a1a788f087e352eaf2fc1f1706
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 20 17:02:48 2025 +0200

    Change default theme to icedesert.

 configure.ac        |  4 ++--
 man/icewm-theme.pod | 22 +++++++---------------
 man/icewm.pod       |  3 +--
 src/CMakeLists.txt  |  2 +-
 src/wmconfig.cc     |  2 +-
 5 files changed, 12 insertions(+), 21 deletions(-)

commit 7f67b3e4e5d44da8f4091d1cb8f4a1b641d5745c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 20 16:49:48 2025 +0200

    Drop old obsolete icons.

 lib/Makefile.am                             |  20 --
 lib/icons/communicator-abook_16x16.xpm      |  27 --
 lib/icons/communicator-abook_32x32.xpm      |  46 ---
 lib/icons/communicator-browser_16x16.xpm    |  28 --
 lib/icons/communicator-browser_32x32.xpm    |  45 ---
 lib/icons/communicator-composer_16x16.xpm   |  28 --
 lib/icons/communicator-composer_32x32.xpm   |  47 ---
 lib/icons/communicator-discussion_16x16.xpm |  27 --
 lib/icons/communicator-discussion_32x32.xpm |  44 ---
 lib/icons/communicator-mail_16x16.xpm       |  28 --
 lib/icons/communicator-mail_32x32.xpm       |  46 ---
 lib/icons/fte_16x16.xpm                     |  21 --
 lib/icons/fte_32x32.xpm                     |  38 ---
 lib/icons/koules_16x16.xpm                  |  62 ----
 lib/icons/koules_32x32.xpm                  |  91 ------
 lib/icons/navigator_16x16.xpm               |  28 --
 lib/icons/navigator_32x32.xpm               |  45 ---
 lib/icons/netscape_16x16.xpm                |  84 -----
 lib/icons/netscape_32x32.xpm                | 100 ------
 lib/icons/xisp_16x16.xpm                    | 172 ----------
 lib/icons/xisp_32x32.xpm                    | 405 ------------------------
 lib/programs.in                             |  11 -
 man/icewm-programs.pod                      |  11 -
 23 files changed, 1454 deletions(-)

commit e7704daf5547c4b06e90dd8fd731e2e0d699dd44
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 17 21:47:20 2025 +0200

    Add -Z filter to icesh to select only terminals.

 man/icesh.pod |  4 +++
 src/icesh.cc  | 79 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

commit e0781ad5af5f0611a495fa208f1604f130a84371
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 16 22:34:28 2025 +0200

    Add a --replace option to icewm-session.

 man/icewm-session.pod | 4 ++++
 src/icesm.cc          | 8 ++++++++
 2 files changed, 12 insertions(+)

commit c9a0d0611794aa10b2f6e119949f585140bf51bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 13 20:20:50 2025 +0200

    Remove debugging statements.

 src/wmclient.cc | 8 --------
 1 file changed, 8 deletions(-)

commit 3dff279611cb6b60ac1860fec83408f092f0d03e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 13 18:57:35 2025 +0200

    Give which a backup in rebuild.sh.

 rebuild.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 76ea7a01700a0f91cbd6429ef5af98bdb20adbae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 13 18:05:11 2025 +0200

    Make XRes disableable in the CMake build.

 src/CMakeLists.txt | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit fdcca886f59b5dce86c010a1efe0084c2c06903b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 13 17:25:52 2025 +0200

    Make XRes disableable in configure. Up version to 3.7.3.

 VERSION      |  2 +-
 configure.ac | 25 ++++++++++++++++++-------
 2 files changed, 19 insertions(+), 8 deletions(-)

commit 286f243c07dc2039c74ada8d24365188dab147d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 13 16:45:22 2025 +0200

    Add xres to dependencies.

 rebuild.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2ddd1f92ea09f032a0a287bf19bcd3480b1f1dd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 12 19:12:13 2025 +0200

    Better fix for getNetWMPid sorry.

 src/wmclient.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 809a5a4d09c56dfe36e1ef098f68fbe6535f1670
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 12 18:18:30 2025 +0200

    Return first found PID in getNetWMPid.

 src/wmclient.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit f2c22603a1de9b360d22cd566fb91c6a5aa3b72f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 12 16:08:22 2025 +0200

    Add a toolbar button to the CAD-dialog.

 src/wmdialog.cc | 8 ++++++--
 src/wmdialog.h  | 2 +-
 2 files changed, 7 insertions(+), 3 deletions(-)

commit c219b3512af035dbfc9b9397ed9d8ec692c78778
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 12 16:01:55 2025 +0200

    Add xres_LDFLAGS to icewm_libs for CMake.

 src/CMakeLists.txt | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 2c50489bc672da3b68ae9f061d19a02f09e6c297
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 12 15:45:49 2025 +0200

    Use X-resource library 1.2 to reliably obtain process identifiers of
    client windows. Add the "toolbar" command to icesh to let icewm reload
    the toolbar configuration.

 configure.ac          |  6 ++++--
 man/icesh.pod         |  9 +++++++--
 src/CMakeLists.txt    |  6 ++++--
 src/Makefile.am       |  2 +-
 src/config.cmake.h.in |  1 +
 src/icesh.cc          | 42 ++++++++++++++++++++++++++++++++++++------
 src/objbar.cc         |  6 ++++++
 src/objbar.h          |  2 ++
 src/wmabout.cc        |  5 +++--
 src/wmaction.h        |  2 ++
 src/wmapp.cc          |  6 ++++++
 src/wmclient.cc       | 37 ++++++++++++++++++++++++++++---------
 src/wmmgr.cc          | 27 +++++----------------------
 src/wmtaskbar.cc      | 40 +++++++++++++++++++++++++++-------------
 src/wmtaskbar.h       |  1 +
 15 files changed, 133 insertions(+), 59 deletions(-)

commit 1639c79b76af6e1eb129ad0e7454c2ae374dacec
Author: Gemineo <vistatec@gemineo.de>
Date:   Thu Apr 10 09:59:40 2025 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (525 of 525 strings)

 po/de.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dad23d2f9baa646c5bb66de84efe947b682b8af8
Author: Fran Serrador <serrador@proton.me>
Date:   Wed Apr 9 12:30:37 2025 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (525 of 525 strings)

 po/es.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit b18034ebc19eff5af14eee4f860bd501f634624c
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Wed Apr 9 13:19:43 2025 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (525 of 525 strings)

 po/fr.po | 56 ++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 46 insertions(+), 10 deletions(-)

commit 70663764b34af6238da665e5ccbcb38c55981933
Author: Samanta Magalhaes <samanta_texttrans@outlook.com>
Date:   Tue Apr 8 19:46:44 2025 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (525 of 525 strings)

 po/pt_BR.po | 53 ++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 44 insertions(+), 9 deletions(-)

commit 2309c1f0479a60c6b7636c5c4440d37e7fa1e8be
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Tue Apr 8 11:13:08 2025 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (525 of 525 strings)

 po/it.po | 54 ++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 44 insertions(+), 10 deletions(-)

commit 305595892ea328d1a7307f779cf541d582440fd6
Author: Gemineo <vistatec@gemineo.de>
Date:   Tue Apr 8 09:02:43 2025 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (525 of 525 strings)

 po/de.po | 49 ++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 42 insertions(+), 7 deletions(-)

commit db880486a465597157f28bb9de08ceba9e670311
Author: Emily Dong <Emily.Dong@excel-gits.com>
Date:   Tue Apr 8 09:03:28 2025 +0000

    Translated using Weblate (Chinese (Taiwan) (zh_TW))

    Currently translated at 100.0% (525 of 525 strings)

 po/zh_TW.po | 47 ++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 38 insertions(+), 9 deletions(-)

commit 4b83df892611c7a1cb9dd5206c99b8d9b5326384
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Tue Apr 8 08:31:25 2025 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (525 of 525 strings)

 po/zh_CN.po | 45 +++++++++++++++++++++++++++++++++++++--------
 1 file changed, 37 insertions(+), 8 deletions(-)

commit 2715616346027260d214eae7cffbeb47cd16fe25
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Thu Apr 3 18:19:40 2025 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (525 of 525 strings)

 po/ru.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit d67552d9fb8814de4b147648dd5f462aedc8e970
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Thu Apr 3 08:30:21 2025 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (525 of 525 strings)

 po/ru.po | 278 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 141 insertions(+), 137 deletions(-)

commit 738c54cf66b728c300157654bf0f30fa7a8fa930
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 2 17:06:37 2025 +0200

    Let icesh don't loop when interrupted.

 src/icesh.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 002a113dc1d49cdbb3cd8109e00df517db67b010
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 1 17:07:25 2025 +0200

    Remove obsolete CMake warning for SVG library.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6dd0d427cef992deb483cf879b418c9fd9d32e4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 1 16:56:22 2025 +0200

    Fix CMake LTO build.

 rebuild.sh | 3 +++
 1 file changed, 3 insertions(+)

commit 5d530bae43e78e42d263ee742dddeee5b68348dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 1 16:07:24 2025 +0200

    Lower minimum required CMake version to 3.5.

 CMakeLists.txt     |  2 +-
 lib/CMakeLists.txt |  2 +-
 po/CMakeLists.txt  |  6 +++++-
 src/CMakeLists.txt | 12 +++++++++---
 4 files changed, 16 insertions(+), 6 deletions(-)

commit 1c8850f87aa77d72f75f8e474fb71362eb728f40
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 30 22:13:59 2025 +0200

    Prepare 3.7.3 release

 AUTHORS      |   6 +-
 ChangeLog    | 509 ++++++++++++++++++++++++++++---------------------------
 NEWS         |  45 +++--
 README.md    |  16 +-
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  12 +-
 po/ar.po     | 102 +++++------
 po/ast.po    | 102 +++++------
 po/be.po     | 102 +++++------
 po/bg.po     | 102 +++++------
 po/ca.po     | 102 +++++------
 po/cs.po     | 102 +++++------
 po/da.po     | 102 +++++------
 po/de.po     | 102 +++++------
 po/el.po     | 102 +++++------
 po/en.po     | 102 +++++------
 po/eo.po     | 102 +++++------
 po/es.po     | 102 +++++------
 po/fa.po     | 102 +++++------
 po/fi.po     | 102 +++++------
 po/fr.po     | 102 +++++------
 po/he.po     | 102 +++++------
 po/hi.po     | 102 +++++------
 po/hr.po     | 102 +++++------
 po/hu.po     | 102 +++++------
 po/icewm.pot | 104 ++++++------
 po/id.po     | 102 +++++------
 po/ie.po     | 102 +++++------
 po/it.po     | 102 +++++------
 po/ja.po     | 102 +++++------
 po/ka.po     | 102 +++++------
 po/kk.po     | 102 +++++------
 po/ko.po     | 102 +++++------
 po/lt.po     | 102 +++++------
 po/lv.po     | 102 +++++------
 po/mk.po     | 102 +++++------
 po/nb.po     | 102 +++++------
 po/nl.po     | 102 +++++------
 po/nn.po     | 102 +++++------
 po/no.po     | 102 +++++------
 po/pl.po     | 102 +++++------
 po/pt.po     | 102 +++++------
 po/pt_BR.po  | 102 +++++------
 po/ro.po     | 102 +++++------
 po/ru.po     | 102 +++++------
 po/sk.po     | 102 +++++------
 po/sl.po     | 102 +++++------
 po/sv.po     | 102 +++++------
 po/tr.po     | 220 ++++++++++++------------
 po/uk.po     | 102 +++++------
 po/vi.po     | 102 +++++------
 po/zh_CN.po  | 102 +++++------
 po/zh_TW.po  | 102 +++++------
 54 files changed, 2769 insertions(+), 2737 deletions(-)

commit b606a188ba660c44a0f697f6799392082966b4bf
Merge: 13049e01 14563ee6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 30 22:04:21 2025 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 14563ee6eadf811ec0e4e556708142392d9918c8
Merge: 1e9601fe c2939cbb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 30 22:02:48 2025 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit c2939cbb4fcb3d456917b56093897334b31ff3ac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 30 19:23:03 2025 +0200

    Fix compiler error on missing include errno.h.

 src/ysvg.cc | 1 +
 1 file changed, 1 insertion(+)

commit eb4ccdf88895b94c25c24e6474b7b8d3f2c660f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 30 16:54:50 2025 +0200

    Startup notification says to always accept updates to _NET_STARTUP_ID.

 src/wmclient.cc | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 45fc5064d5023b5bacc0e2d49c0862cbcf555879
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 30 14:57:45 2025 +0200

    Fix typo for fUserTimeWindow in getUserTime.

 src/wmclient.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec6f44371aa0d54997de2de5f1c6dc0f3ccccaec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 29 21:59:28 2025 +0100

    Improve support for _NET_WM_USER_TIME and _NET_STARTUP_ID for issue #799.

 src/wmclient.cc | 132 +++++++++++++++++++++++++++++++++++++---------------
 src/wmclient.h  |  31 ++++++------
 src/wmframe.cc  |  49 ++-----------------
 src/wmframe.h   |   7 ---
 4 files changed, 116 insertions(+), 103 deletions(-)

commit b13a28868be10d20023aa9f60e332c5d05e88a2f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 29 15:43:19 2025 +0100

    Remove DESKTOP_AUTOSTART_ID, DESKTOP_STARTUP_ID, XDG_ACTIVATION_TOKEN
    variables from the environment.

 src/yapp.cc | 7 +++++++
 src/yapp.h  | 1 +
 2 files changed, 8 insertions(+)

commit 3b17a48abf0e8ec0a872f0e57584e3a240f9bfd7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 29 15:40:45 2025 +0100

    Remove the remnants of the root proxy window. Only set focus to the
    icewm top window when it hasn't focus yet.

 src/keysyms.h |  4 ++++
 src/wmapp.cc  |  2 --
 src/wmkey.cc  |  4 +---
 src/wmmgr.cc  | 48 ++++++++++++++----------------------------------
 src/wmmgr.h   | 11 +----------
 5 files changed, 20 insertions(+), 49 deletions(-)

commit 9ff05e222dac6e27b8a3e178ecf4471598623c2d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 29 15:38:20 2025 +0100

    Add the usertime and x11time commands to icesh.

 man/icesh.pod |  8 ++++++++
 src/icesh.cc  | 19 +++++++++++++++++++
 2 files changed, 27 insertions(+)

commit e5b38e5db353e69fd2b9c020d4350457027a88dd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 29 15:11:29 2025 +0100

    Set a title to the dock window.

 src/wmdock.cc | 1 +
 1 file changed, 1 insertion(+)

commit 69a548621af39ea45c666a292d6600095b75fc4d
Merge: 91cf6b75 f362d182
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Mar 17 09:59:37 2025 +0100

    Merge remote-tracking branch 'bbidulock/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 1e9601feedd2d1758e8cea3589d21fa43b89eb5a
Merge: 196bd412 f362d182
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 16 15:50:36 2025 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit f362d18207d19caf7a24e6e940e67938a39fb4d8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 16 15:39:12 2025 +0100

    Fix --disable-librsvg. Don't barf when --without-icesound. Update READMEs.

 README.md    | 13 ++++++++++---
 README.md.in |  4 +++-
 VERSION      |  2 +-
 configure.ac | 21 ++++++++++++++-------
 4 files changed, 28 insertions(+), 12 deletions(-)

commit 7ea2559d46f2236042813ad8826e36a6696d0d78
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sun Mar 16 08:46:00 2025 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (525 of 525 strings)

 po/tr.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 91cf6b75e7c1a5c409466dc1dc42894571701ddb
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 13 11:16:01 2024 +0200

    App name filter shall consider the command line too

 src/fdomenu.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 87876772d15e9735f6d59f7228eff85850859b1b
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Mar 16 09:37:14 2025 +0100

    Upgrade min.req. of CMake to version 3.10

    Latest CMake releases started throwing warnings about deprecation of
    old style compatibility.

    Also removed the project tags from subfolders since they are ineffective
    anyway.

    Removed requirement of C compiler, since globit.c is the only source and
    even this is wrapped into a C++ compilation unit.

 CMakeLists.txt     | 4 ++--
 doc/CMakeLists.txt | 3 ---
 lib/CMakeLists.txt | 2 +-
 po/CMakeLists.txt  | 3 ---
 4 files changed, 3 insertions(+), 9 deletions(-)

commit 80f3648862694399417de51ef65db7ecaef69fb4
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Mar 15 17:48:54 2025 +0100

    Fix cmake warning about wrong COMMENT arguments

 man/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af8107c032f4fae53e4caa7af16f8effd2612856
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Mar 15 17:33:17 2025 +0100

    By default, try fallback to non-specific Sans or non-bold

    Again: Closes ice-wm/icewm#149

 src/fontmacro.h | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 999b27356c94979b835dbec649ab3ce9b03ab390
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Mar 11 18:47:36 2025 +0100

    Make location of nanosvg header customizable

    This also simplifies the use of externally located nanosvg headers, for
    example for offline builds.

 src/CMakeLists.txt | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 13049e01550152426538937fdd6ca998a8e26ef5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 22:20:59 2025 +0100

    Prepare 3.7.2 release

 AUTHORS      |   2 +-
 ChangeLog    | 426 ++++++++++++++++++++++++++-----------------------------
 NEWS         |  86 ++++-------
 README.md    |  16 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  86 +++++------
 po/ast.po    |  86 +++++------
 po/be.po     |  86 +++++------
 po/bg.po     |  86 +++++------
 po/ca.po     |  86 +++++------
 po/cs.po     |  86 +++++------
 po/da.po     |  86 +++++------
 po/de.po     |  86 +++++------
 po/el.po     |  86 +++++------
 po/en.po     |  86 +++++------
 po/eo.po     |  86 +++++------
 po/es.po     |  86 +++++------
 po/fa.po     |  86 +++++------
 po/fi.po     |  86 +++++------
 po/fr.po     |  86 +++++------
 po/he.po     |  86 +++++------
 po/hi.po     |  86 +++++------
 po/hr.po     |  86 +++++------
 po/hu.po     |  86 +++++------
 po/icewm.pot |  88 ++++++------
 po/id.po     |  86 +++++------
 po/ie.po     |  86 +++++------
 po/it.po     |  86 +++++------
 po/ja.po     |  86 +++++------
 po/ka.po     |  86 +++++------
 po/kk.po     |  86 +++++------
 po/ko.po     |  86 +++++------
 po/lt.po     |  86 +++++------
 po/lv.po     |  86 +++++------
 po/mk.po     |  86 +++++------
 po/nb.po     |  86 +++++------
 po/nl.po     |  86 +++++------
 po/nn.po     |  86 +++++------
 po/no.po     |  86 +++++------
 po/pl.po     |  86 +++++------
 po/pt.po     |  86 +++++------
 po/pt_BR.po  |  86 +++++------
 po/ro.po     |  86 +++++------
 po/ru.po     |  86 +++++------
 po/sk.po     |  86 +++++------
 po/sl.po     |  86 +++++------
 po/sv.po     |  86 +++++------
 po/tr.po     |  86 +++++------
 po/uk.po     |  86 +++++------
 po/vi.po     |  86 +++++------
 po/zh_CN.po  |  86 +++++------
 po/zh_TW.po  |  86 +++++------
 54 files changed, 2269 insertions(+), 2319 deletions(-)

commit f855e1d42780aa18027a5dc4915eab48037913d8
Merge: b00baedb 196bd412
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 22:17:24 2025 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 196bd412e331758fecbd363fccea1b58afa1c5f5
Merge: 5ac0a3c5 1b9c9796
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 22:17:05 2025 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 1b9c9796e8409eb7598848997f1f7825565310d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 20:33:57 2025 +0100

    Remove the incompatible cmake_path from the po CMakefile.

 po/CMakeLists.txt | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit adaf56274d3783b3a0426a93f93d334ab1b6c3d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 20:20:26 2025 +0100

    Ignore key releases and modifier presses in the top window key handler.

 src/wmmgr.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2c48d831c8e95fadb410ac0fa36b1c9638a5f864
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 20:18:01 2025 +0100

    Improve readability in SwitchWindow::resize.

 src/wmswitch.cc | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 86fdf3e892e74843555b1930eb5489b491872cc0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 20:15:16 2025 +0100

    Log the keycode as a decimal.

 src/logevent.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c8681864ed923d32f9df1946fd1a5cfaa405440
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 9 16:47:27 2025 +0100

    Fix off-by-one errors in the QuickSwitch bottom right border for
    ice-wm/icewm#174.

 src/wmswitch.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0499fce909d12d373996707b123acfddfccbc375
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 8 18:00:41 2025 +0100

    Use the window handle when retrieving the user time.

 src/wmclient.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2462a64c7fe67030800234e3a9dc7b3d8cd6c46e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 5 23:08:41 2025 +0100

    Add updateServerTime to class declaration in header.

 src/wmmgr.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fbfde759caed859a48b883434971fa1b92baff52
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 5 23:00:10 2025 +0100

    Only save event time when it is non-zero.

 src/yxapp.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 8ff9ec50c2cc4526f44874b6b7551d6f32a2b41b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 5 21:50:39 2025 +0100

    Try not to go backwards in our notion of the X server time.

 src/yxapp.cc | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

commit d4a069f3dffd40fa52b135436a681eae13f26759
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 5 20:58:46 2025 +0100

    Also update the server time before setting focus to the topWindow.

 src/wmmgr.cc | 51 +++++++++++++++++++++++++++++----------------------
 1 file changed, 29 insertions(+), 22 deletions(-)

commit 37abcc2dc2636948d1878ec565c0066f09d2168f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 5 20:55:44 2025 +0100

    Fix compiling without internationalization for icewm-menu-fdo.

 src/fdomenu.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 0f871d4345e31904494c007b7b55faf942403360
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 2 19:41:33 2025 +0100

    Mark the WindowList as a toplevel and redirect its input to the listbox.

 src/wmwinlist.cc | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 0b9fc52c7fd8a0980044268dd09b147f6b3a485d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 1 22:47:58 2025 +0100

    Also support SVG icons when the image library supports it natively.

 src/yicon.cc | 80 +++++++++++++++++++++++++++++---------------------------
 src/yicon.h  |  4 +++
 2 files changed, 46 insertions(+), 38 deletions(-)

commit 74bb0a2989127a3ff87d2932ff547713bc710cfe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 1 18:08:59 2025 +0100

    Always print icons double-quoted for issue #794.

 src/fdomenu.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit b00baedbda6f637575eba3d393d2bb9a9d96fd40
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 23:34:03 2025 +0100

    Prepare 3.7.1 release

 AUTHORS      |   4 +-
 ChangeLog    | 286 +++++++++++++++++++++++++++----------------------------
 NEWS         |  55 ++++++-----
 README.md    |  16 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  60 ++++++------
 po/ast.po    |  60 ++++++------
 po/be.po     |  60 ++++++------
 po/bg.po     |  60 ++++++------
 po/ca.po     |  60 ++++++------
 po/cs.po     |  60 ++++++------
 po/da.po     |  60 ++++++------
 po/de.po     |  60 ++++++------
 po/el.po     |  60 ++++++------
 po/en.po     |  60 ++++++------
 po/eo.po     |  60 ++++++------
 po/es.po     |  60 ++++++------
 po/fa.po     |  60 ++++++------
 po/fi.po     |  60 ++++++------
 po/fr.po     |  60 ++++++------
 po/he.po     |  60 ++++++------
 po/hi.po     |  60 ++++++------
 po/hr.po     |  60 ++++++------
 po/hu.po     |  60 ++++++------
 po/icewm.pot |  62 ++++++------
 po/id.po     |  60 ++++++------
 po/ie.po     |  60 ++++++------
 po/it.po     |  60 ++++++------
 po/ja.po     |  60 ++++++------
 po/ka.po     |  64 ++++++-------
 po/kk.po     |  60 ++++++------
 po/ko.po     |  60 ++++++------
 po/lt.po     |  60 ++++++------
 po/lv.po     |  60 ++++++------
 po/mk.po     |  60 ++++++------
 po/nb.po     |  60 ++++++------
 po/nl.po     |  60 ++++++------
 po/nn.po     |  60 ++++++------
 po/no.po     |  60 ++++++------
 po/pl.po     |  60 ++++++------
 po/pt.po     |  60 ++++++------
 po/pt_BR.po  |  60 ++++++------
 po/ro.po     |  60 ++++++------
 po/ru.po     |  60 ++++++------
 po/sk.po     |  60 ++++++------
 po/sl.po     |  60 ++++++------
 po/sv.po     |  60 ++++++------
 po/tr.po     |  60 ++++++------
 po/uk.po     |  60 ++++++------
 po/vi.po     |  60 ++++++------
 po/zh_CN.po  |  60 ++++++------
 po/zh_TW.po  |  60 ++++++------
 54 files changed, 1597 insertions(+), 1604 deletions(-)

commit 2baa0096631ebad54efd287b83d2513191fece9b
Merge: 55c2ed5f 5ac0a3c5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 23:29:58 2025 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 5ac0a3c523b5f80eee9e62b67cac63baec1b1445
Merge: 2ca5022e 3997b08e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 23:29:31 2025 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3997b08e9497516a4ce7161eb126e0998b1549d4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 22:56:54 2025 +0100

    Update the event time strictly increasing.

 src/wmmgr.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 634ed229455e5bd247af941cc70faad1b56a1db3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 22:36:22 2025 +0100

    Improve focusing xterms by first updating our notion of the server time
    from xproperty events for issue ice-wm/icewm#188.

 src/wmmgr.cc | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 7aa9ad20acca1d694aef1159d0025f408f79f75b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 20:38:45 2025 +0100

    Wait for the Return key-release event before accepting the address bar
    input line to avoid stray Return key-release events in applications.

 src/yinputline.cc | 17 +++++++++++++++--
 src/yinputline.h  |  2 ++
 2 files changed, 17 insertions(+), 2 deletions(-)

commit 2bef7a7228cb0c65bc5572b0ae9cc44e5c55aa2d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 19:00:39 2025 +0100

    Fix toolbar addButton for issue ice-wm/icewm#186.

 src/objbar.cc | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

commit 1e337026c9625515621f7c3ce16914065abdb54b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 26 15:19:24 2025 +0100

    Let QuickSwitch select the proper client tab, before activating a frame.

 src/wmswitch.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit c78690b6204d12da98257f91fa70fe947de7d6c8
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Wed Feb 26 09:39:34 2025 +0000

    Translated using Weblate (Georgian)

    Currently translated at 52.7% (277 of 525 strings)

 po/ka.po | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 720b5b23704e97d9363814be1d123eecbed863fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 25 14:38:25 2025 +0100

    Remove trailing carriage-returns from each input line in icewm-menu-fdo
    for ice-wm/icewm#186.

 src/fdomenu.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 5f45f31fddf1cb2de649790c4c0b50ca38e8cbb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 25 14:16:29 2025 +0100

    Skip past carriage-returns in getArgument for ice-wm/icewm#186.

 src/yconfig.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 3de1b851912315a50b88309b6f1eaa60bd3c0adb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 23 19:50:09 2025 +0100

    Simplify key handling in MenuProgSwitchItems.

 src/wmprog.cc | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit 26751c7bfbd0bf79e2b10b600fbc4b1ec31ecb5b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 23 17:38:40 2025 +0100

    Fix broken modSuperIsCtrlAlt for issue #791.

 src/wmcontainer.cc | 11 ++++++-----
 src/wmkey.cc       | 30 +++++++++++++++++++++++-------
 src/wmkey.h        |  7 ++++---
 src/wmprog.cc      |  2 +-
 src/ywindow.h      |  2 +-
 5 files changed, 35 insertions(+), 17 deletions(-)

commit f154124896ea2c54aa6d6a1265af2098f52cc08b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 23 13:29:43 2025 +0100

    Link against NLS libs for icewm-menu-fdo and closes ice-wm/icewm#185.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 55c2ed5f8a67a2341c7245f98d263cac78947a29
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 21:47:00 2025 +0100

    Prepare 3.7.0 release

 AUTHORS      |   29 +-
 ChangeLog    | 8639 +++++++++++++++++++++++++++---------------------------
 INSTALL      |    6 +-
 NEWS         |  339 ++-
 README.md    |   16 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   12 +-
 8 files changed, 4596 insertions(+), 4449 deletions(-)

commit 1dafaa3a9ffa95447d70c933a332df9fe988b8db
Merge: b843f88f 2ca5022e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 21:28:19 2025 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 2ca5022ec5a8e13dffccc2537e41912a657c16c1
Merge: 27126c52 e162444c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 21:27:16 2025 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit e162444c1e707433692f8be9db32ec62cb8279d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 19:13:04 2025 +0100

    Check for __GNUC__ at least 5 for codecvt dependency.

 src/fdomenu.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f3b9c3023c8ca864b786fd43fe5f06b141ef4a35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 18:30:06 2025 +0100

    Restore support for C++11 in fdomenu.cc.

 src/fdomenu.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit afd33a7d5d08cda75e7a0617792c3bd8da7c865d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 16:19:45 2025 +0100

    Update potfiles.

 po/ar.po     | 4626 ++++++++++++++++++++++++++---------------------------
 po/ast.po    | 3452 ++++++++++++++++++++--------------------
 po/be.po     | 4102 +++++++++++++++++++++++------------------------
 po/bg.po     | 4102 +++++++++++++++++++++++------------------------
 po/ca.po     | 4580 ++++++++++++++++++++++++++--------------------------
 po/cs.po     | 4572 ++++++++++++++++++++++++++--------------------------
 po/da.po     | 4524 ++++++++++++++++++++++++++--------------------------
 po/de.po     | 4558 ++++++++++++++++++++++++++--------------------------
 po/el.po     | 4684 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 3170 ++++++++++++++++++------------------
 po/eo.po     | 3214 ++++++++++++++++++-------------------
 po/es.po     | 4472 +++++++++++++++++++++++++--------------------------
 po/fa.po     | 3366 +++++++++++++++++++--------------------
 po/fi.po     | 4058 +++++++++++++++++++++++-----------------------
 po/fr.po     | 4594 ++++++++++++++++++++++++++--------------------------
 po/he.po     | 3912 ++++++++++++++++++++++-----------------------
 po/hi.po     | 3558 ++++++++++++++++++++---------------------
 po/hr.po     | 3756 +++++++++++++++++++++----------------------
 po/hu.po     | 4546 ++++++++++++++++++++++++++--------------------------
 po/icewm.pot |  304 ++--
 po/id.po     | 4532 ++++++++++++++++++++++++++--------------------------
 po/ie.po     | 4068 +++++++++++++++++++++++------------------------
 po/it.po     | 4548 ++++++++++++++++++++++++++--------------------------
 po/ja.po     | 4592 ++++++++++++++++++++++++++--------------------------
 po/ka.po     | 3764 +++++++++++++++++++++----------------------
 po/kk.po     | 3668 +++++++++++++++++++++---------------------
 po/ko.po     | 4618 ++++++++++++++++++++++++++---------------------------
 po/lt.po     | 4156 ++++++++++++++++++++++++------------------------
 po/lv.po     | 4104 +++++++++++++++++++++++------------------------
 po/mk.po     | 4058 +++++++++++++++++++++++-----------------------
 po/nb.po     | 4056 +++++++++++++++++++++++-----------------------
 po/nl.po     | 4520 ++++++++++++++++++++++++++--------------------------
 po/nn.po     | 3568 ++++++++++++++++++++---------------------
 po/no.po     | 4060 +++++++++++++++++++++++-----------------------
 po/pl.po     | 4564 ++++++++++++++++++++++++++--------------------------
 po/pt.po     | 4544 ++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 4572 ++++++++++++++++++++++++++--------------------------
 po/ro.po     | 3980 +++++++++++++++++++++++-----------------------
 po/ru.po     | 4588 ++++++++++++++++++++++++++--------------------------
 po/sk.po     | 4554 ++++++++++++++++++++++++++--------------------------
 po/sl.po     | 4414 +++++++++++++++++++++++++-------------------------
 po/sv.po     | 4544 ++++++++++++++++++++++++++--------------------------
 po/tr.po     | 4566 ++++++++++++++++++++++++++--------------------------
 po/uk.po     | 4542 ++++++++++++++++++++++++++--------------------------
 po/vi.po     | 4158 ++++++++++++++++++++++++------------------------
 po/zh_CN.po  | 4622 ++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 4620 ++++++++++++++++++++++++++---------------------------
 47 files changed, 97365 insertions(+), 97365 deletions(-)

commit 43f791e192ff6bd7086278ef94c148f4b23e149b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 16:18:39 2025 +0100

    Update the about copyright to 2025.

 src/wmabout.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c31451f836c5e07b01fb70c3de0067d770fcfdb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 22 11:06:38 2025 +0100

    Restore support for NanoSVG in the CMake build.

 src/CMakeLists.txt | 41 ++++++++++++++---------------------------
 1 file changed, 14 insertions(+), 27 deletions(-)

commit c10c27f93102d556e709715bd9ad4b1d384296a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 21 18:46:22 2025 +0100

    Include locale include files last in fdomenu.cc, because they contain
    macro's.

 src/fdomenu.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 3a61123c6805753022882f132a5a7a0d6ea646fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 21 18:35:00 2025 +0100

    Fix compilation error for fdomenu.cc undefined msglang when no I18N.

 src/fdomenu.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a1fdb8bf1276dcb02b3848bd60b0768e31442ece
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 20 21:47:51 2025 +0100

    Never use CurrentTime, but always use last event time when setting the
    input focus to a window.

 src/aaddressbar.cc | 2 +-
 src/aworkspaces.cc | 2 +-
 src/wmframe.cc     | 2 +-
 src/wmmgr.cc       | 6 +++---
 src/wmwinlist.cc   | 2 +-
 src/yinputline.cc  | 2 +-
 src/ywindow.cc     | 5 +++--
 src/ywindow.h      | 2 +-
 8 files changed, 12 insertions(+), 11 deletions(-)

commit 8878930e84934b573c1dc3426bdff0ac1507fe2e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 17 18:25:30 2025 +0100

    Add ColorQuickSwitchBorder themable preference for issue #736.

 man/icewm-preferences.pod | 19 ++++++++++++-------
 src/themable.h            |  2 ++
 src/wmswitch.cc           | 17 ++++++++++++-----
 src/wmswitch.h            |  1 +
 4 files changed, 27 insertions(+), 12 deletions(-)

commit 570af33174b5c1c93ee9fe022454400cb864c8bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 17 18:20:54 2025 +0100

    Mark support for global modality as done.

 TODO | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc6dc7f290332b45e650d792098e7816cd6b425b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 16 21:52:41 2025 +0100

    Revert "Don't draw a border on QuickSwitch when Look=flat for issue
    #736." This reverts commit 11c0b34db6b24f5fbd9815d359e0b5ef1360517f.

 src/wmswitch.cc | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit ee76093cd3f697fc65cc73b2ccbcf43411d68bc2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 16 21:51:56 2025 +0100

    Revert "Remove the default 1px black border of the
    QuickSwitch for issue ice-wm/icewm#174." This reverts commit
    e7511806257cdee92585a21a4a794e19e33478dd.

 src/wmswitch.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3c2b2317426e4fb39dfbabb3ac1713824e3027a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 15 19:53:02 2025 +0100

    Make 4 graph widths themable for issue ice-wm/icewm#178.

 src/default.h  | 4 ----
 src/themable.h | 4 ++++
 2 files changed, 4 insertions(+), 4 deletions(-)

commit dd55178608eb52478a152da84a24876e32a200fc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 15 19:42:56 2025 +0100

    Drop a NOTE.

 src/wmcontainer.cc | 1 -
 1 file changed, 1 deletion(-)

commit 367aa354b1bc51aad9e02733895f4323c6d3bbda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 15 19:42:35 2025 +0100

    Increase toolbar height when icons are taller for issue ice-wm/icewm#178.

 src/objbar.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cf8d8d1055b05c6ae65ff4ae2a4c9c1fb758c1b4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 15 19:42:15 2025 +0100

    Increase max backgrounds to 8000.

 src/icewmbg_prefs.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 579fed7ebff7b9afcf25e81a71332e45f616283b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 12 00:23:13 2025 +0100

    Support grabbing two keys simultaneously by a single keybinding definition
    when both keys are bound to the same keysym.

 src/icewmbg.cc     |   2 +-
 src/movesize.cc    |  79 ++++++------
 src/wmapp.cc       |  16 +++
 src/wmapp.h        |   3 +-
 src/wmcontainer.cc |  28 ++---
 src/wmframe.cc     |  77 ++++++------
 src/wmkey.cc       | 111 +++++++++++++----
 src/wmkey.h        |  29 +++--
 src/wmmgr.cc       | 330 +++++++++++++++++++++++--------------------------
 src/wmmgr.h        |   4 +-
 src/wmminiicon.cc  |  23 ++--
 src/wmprog.cc      |   5 +-
 src/wmprog.h       |   5 +-
 src/wmswitch.cc    |  24 ++--
 src/wmswitch.h     |   4 +-
 src/ywindow.cc     |  53 --------
 src/ywindow.h      |   2 -
 src/yxapp.cc       |  27 ++--
 src/yxapp.h        |   7 +-
 19 files changed, 427 insertions(+), 402 deletions(-)

commit 63bcffce6eff8d89181b8079ca7547a91749143c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 4 18:36:15 2025 +0100

    Drop grabVKey and fixupPreferences. Move unshift to WMKey grab.

 src/wmapp.cc   | 12 ----------
 src/wmapp.h    |  1 -
 src/wmkey.cc   |  7 +++---
 src/wmkey.h    |  4 ++--
 src/wmmenu.cc  |  4 ++--
 src/wmmgr.cc   |  5 ++--
 src/wmprog.h   |  5 ++--
 src/ywindow.cc | 69 +-----------------------------------------------------
 src/ywindow.h  |  1 -
 src/yxapp.cc   |  7 ------
 src/yxapp.h    |  1 -
 11 files changed, 14 insertions(+), 102 deletions(-)

commit 53c424344778eb0f50f39fb8b4ecbd37a85777ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jan 31 16:15:09 2025 +0100

    Don't call XKeysymToKeycode several times per key grab, but cache it.
    Create YKeycodeMap and getKeycodeMap.

 src/CMakeLists.txt |   4 +-
 src/Makefile.am    |   5 ++-
 src/genpref.cc     |   2 +-
 src/wmkey.cc       | 115 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/wmkey.h        |  17 +++++---
 src/yconfig.cc     |   8 ++--
 src/yconfig.h      |   4 +-
 src/ywindow.cc     |   2 +-
 src/ywindow.h      |   2 +-
 src/yxapp.cc       |  42 ++++++------------
 src/yxapp.h        |  15 +++++--
 11 files changed, 165 insertions(+), 51 deletions(-)

commit ecec0429a25aa34f426a9c8ba2abe04579f496a3
Author: Marina J. Donis <marinajdonis@gmail.com>
Date:   Thu Dec 12 12:10:03 2024 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (525 of 525 strings)

 po/es.po | 40 ++++++++++++++++++++++++++++++++++++++--
 1 file changed, 38 insertions(+), 2 deletions(-)

commit f06ba09d155149eaa8ad63457cd28bc2596941fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 28 20:41:26 2024 +0100

    fix fi.po to fix the build.

 po/fi.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 567509200c2e9d3148d5a799d88fb01428818a5c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 28 19:38:26 2024 +0100

    Revert "When undoing an arrange or showing the desktop, focus the last
    focused window instead of the topmost window." for issue #788.

    This reverts commit 2abbe86ebf1668d7c0d02d919c41e235cafb249b.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd9367e73dd9ad03a4c2e8cf41fae35e4ef76400
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Tue Nov 26 04:36:35 2024 +0000

    Translated using Weblate (Georgian)

    Currently translated at 49.3% (259 of 525 strings)

 po/ka.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit dcddeae4c11d5f38463ad3493260976ba69d94fd
Author: Rantala <toni.rantala@protonmail.com>
Date:   Sat Nov 23 20:29:57 2024 +0000

    Translated using Weblate (Finnish)

    Currently translated at 84.5% (444 of 525 strings)

 po/fi.po | 41 +++++++++++++++++++++--------------------
 1 file changed, 21 insertions(+), 20 deletions(-)

commit be06f915d738dcc6cd2fb57c39c02497edf88f96
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 12 19:13:54 2024 +0100

    Cleanup the listing of installable themes for issue ice-wm/icewm#179.

 src/theminst.cc | 28 +++++++++++++++++++---------
 1 file changed, 19 insertions(+), 9 deletions(-)

commit af29b756386b3aaf6e7fea3f4c13b35f4c4252b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 11 20:26:44 2024 +0100

    Both scrollbars need to be able to process the same key event.

 src/yscrollview.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit cab3af476a1994456de6f7b16f852b5e2a29f9b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 11 16:42:47 2024 +0100

    Support OpenBSD tar in --install list for issue ice-wm/icewm#179.

 src/theminst.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e7511806257cdee92585a21a4a794e19e33478dd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 10 19:15:28 2024 +0100

    Remove the default 1px black border on the right and bottom sides of
    the QuickSwitch window when Look is flat for issue ice-wm/icewm#174.

 src/wmswitch.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79efe331997a6dbc20fdb93ac00897e078bc00d4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 10 17:30:48 2024 +0100

    Let icewmbg also support the AVIF image format.

 src/icewmbg.cc | 1 +
 1 file changed, 1 insertion(+)

commit 8275f3a316998d98f1e047165984da07ca0c8134
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 10 16:44:04 2024 +0100

    Retstore the previous fontmacro's, because e.g. the InputFont no longer
    was bold.

 src/fontmacro.h | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit 0c097bbd7c904ee56649c7bfef6e4588f347eac7
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Nov 10 15:44:11 2024 +0100

    No text insertion while doing tooltip update only

    For #297

 src/yinputline.cc | 12 ++++++++----
 src/yinputline.h  |  2 +-
 2 files changed, 9 insertions(+), 5 deletions(-)

commit e6ee573dbb6aaa01203a673fd2fe2a85b609e3ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 10 13:53:06 2024 +0100

    Restore simple arrays and avoid mallocs.

 src/apppstatus.cc | 2 +-
 src/wmdock.cc     | 2 +-
 src/wmmgr.cc      | 2 +-
 src/wmpref.cc     | 2 +-
 src/yxtray.cc     | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 9fa96c80515be69d49d0218f36223197193db8fe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 10 13:52:26 2024 +0100

    Remove silly casts.

 src/yscrollview.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ae2efc3cdb677bce1d9ee3d809a1b4801686c701
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 10 13:51:34 2024 +0100

    Support locales with three letter language codes.

 src/yfontxft.cc | 30 ++++++++++++++++++++----------
 src/ylocale.cc  | 21 +++++++++++----------
 src/ylocale.h   |  2 +-
 3 files changed, 32 insertions(+), 21 deletions(-)

commit 7be7963121ce4c1923fc5bff3b8edc7b14256540
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 22:27:24 2024 +0100

    Let icesh accept UTF-8 strings in properties.

 src/icesh.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0da07f1a25729bbabd9db2c382f6136404356262
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 21:28:28 2024 +0100

    Replace max by min.

 src/misc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b348a4697f14e2d39b92eee2ee0f8e754d14a1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 21:03:52 2024 +0100

    Restore unsigned char array in yarray.

 src/yarray.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1b7f1148d2e88420b1fbc48a79a18cb980aaafc5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 21:02:14 2024 +0100

    Improve readability.

 src/wmtaskbar.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a8eb0bcf4069404639ac0d57676da5ebebafc52a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 20:58:00 2024 +0100

    Restore mstring strncpy's.

 src/mstring.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 3f2bc64f166b9fa40757643589c86329cdaee136
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 20:55:09 2024 +0100

    Remove smart pointers from misc.cc.

 src/misc.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit facb4cca5d4454225525eb22e804405fd4a97c15
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 20:50:00 2024 +0100

    Improve pager icon sizes conditional structure.

 src/aworkspaces.cc | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit 482bc701e898441e55b5980a787cafbb05081cc7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 20:37:54 2024 +0100

    Succinct.

 README.md.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 05335537c81a594c0c3ff2860561f583016706f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 20:32:40 2024 +0100

    Drop ycollections.

 src/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit 458c84145091394874277006012f7118ef1a9b5c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 9 20:32:08 2024 +0100

    Correct versions and date.

 VERSION      |  2 +-
 configure.ac | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 129b9aadc2c30f5d1c30fe0887316fabadac23f0
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Nov 7 23:10:12 2024 +0100

    Fix a crash when selecting Default from the clock menu

 src/aclock.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit ee4e1e95f88884bf125a45032bf09534ab60875f
Author: Ettore Atalan <atalanttore@googlemail.com>
Date:   Thu Nov 7 15:01:42 2024 +0000

    Translated using Weblate (German)

    Currently translated at 99.4% (522 of 525 strings)

 po/de.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 50bfe1467965fd0eddd9d6c80eb66e05437f2339
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 29 20:49:24 2024 +0100

    Make clicks in the corner effective to ShowDesktop button in right-placed
    mode

 src/wmtaskbar.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0f927a386373467bfbaa70256ae348202d4b2456
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 27 20:08:31 2024 +0100

    Try using smaller icon versions in WS overview

    It looks better having a smaller (even if not well recognizable) icon
    than not having an icon at all, especially with mid/large sized themes.

 src/aworkspaces.cc | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

commit 2a418939fed01e5e4a18f4453ff331be05be83ed
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 27 12:08:23 2024 +0100

    Redo completion when deleting

    Fixes #297

 src/yinputline.cc | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit 2234ab781a45c7621a9dcc822e1acda06641be2b
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 27 09:03:48 2024 +0100

    Stop tooltip when space was typed in

    For #297

 src/yinputline.cc | 38 +++++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 15 deletions(-)

commit 4ea94db014f828cee2fbb3273fc0b8af46449998
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 26 21:38:48 2024 +0200

    Make the tooltip act like an assistant with further proposals

    This auto-updates the content with suggestions from the most recent
    lookup.

    Also fixes a delete/free mismatch with the result from globit_best.

    Fixes #297

 src/yinputline.cc | 76 +++++++++++++++++++++++++++++++++++++++------------
 src/yinputline.h  |  2 ++
 2 files changed, 61 insertions(+), 17 deletions(-)

commit e6c65feadc9d78016068f3bd054997300c5f2422
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 25 09:48:59 2024 +0200

    Render the list of proposals in a tooltip

    For #297

    This is still not a final solution, globit_best's API is too limited,
    too complicated to interact, and fails to handle a specific usecase
    ("gvim" vs. "gvimdiff").

 src/yinputline.cc | 51 ++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 44 insertions(+), 7 deletions(-)

commit 95785e00b7eeda8958638f188a9037f501858c40
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 26 12:09:29 2024 +0200

    Drop ycollections classes

    It was invented by me and shall be burried by me. It has been repurposed
    for more than it was invented for BUT it's no longer used. And the
    implementation is dangerous (for example, the insertion calls after
    resizing all over the place should use placement new because the memory
    is actually invalid).

 po/POTFILES.in      |   1 -
 src/ycollections.cc |  38 --------
 src/ycollections.h  | 250 ------------------------------------------------
 3 files changed, 289 deletions(-)

commit eca04c7deba260a1d7ee08e55c81e73291fa3b9f
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 23 23:35:54 2024 +0200

    Fix potential resize-to-smaller problem

    And added remarks, use of this class needs to be investigated.

 src/ycollections.h | 58 +++++++++++++++++++++++++++++---------------------
 1 file changed, 34 insertions(+), 24 deletions(-)

commit 0c1da2b68b8a73868bdbf8da905ff7c20f012851
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 20 22:45:59 2024 +0200

    Never mark text in the complete operation

    Because a) it does not help much as "success visualization" because
    there is already a visible change (actually this differs from a normal
    match depending on whether a folder was found, which is confusing), but
    OTOH in the case where user uses completion to enter a file path as
    second argument (which also returns 1 from globit code) then this can
    cause a wrong guess, which suddenly marks the whole text, so that you
    cannot use tab again (it would erase the just entered text).

 src/yinputline.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 95d8f55c59c75017184f9c555ff44e9cd5462284
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 20 20:14:30 2024 +0200

    Unmark text while not moving ahead at the end

    Make the marked area behave like on a typical terminal where pressing
    right-arrow can be used to get rid of marked line while not doing
    anything if the cursor was at the end already.

 src/yinputline.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit bf8f57cffdcead7fbdf6642e34ca33c632339aa4
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 20 16:21:31 2024 +0200

    Ignore certain prefix commands

    For #297

 man/icewm-preferences.pod |  7 +++++++
 src/default.h             |  4 ++++
 src/yinputline.cc         | 38 +++++++++++++++++++++++++++++++-------
 src/yinputline.h          |  3 +++
 4 files changed, 45 insertions(+), 7 deletions(-)

commit 3ab123ca6d2d81a09a746041ec9ff3a57ed37a98
Author: Aleš Kastner <alkas@volny.cz>
Date:   Fri Oct 18 13:11:36 2024 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (525 of 525 strings)

 po/cs.po | 50 +++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 41 insertions(+), 9 deletions(-)

commit 6a1634a95da578545df532945e2573a348704b82
Author: Marina J. Donis <marinajdonis@gmail.com>
Date:   Fri Oct 18 12:40:09 2024 +0000

    Translated using Weblate (Spanish)

    Currently translated at 99.8% (524 of 525 strings)

 po/es.po | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 688b1d9504129547ade6b2f7b8d5312d7a815c2d
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Wed Oct 16 22:27:02 2024 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (525 of 525 strings)

 po/ja.po | 54 +++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 45 insertions(+), 9 deletions(-)

commit 24c99042833f8d9372e8bd8522f0c956242a4f3b
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Wed Oct 16 06:32:14 2024 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (525 of 525 strings)

 po/sv.po | 37 +++++++++++++++++++++++++++++++++++--
 1 file changed, 35 insertions(+), 2 deletions(-)

commit af75ac2f288120387adc737d57d548b8b5257ace
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Fri Oct 11 20:11:58 2024 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (525 of 525 strings)

 po/ru.po | 174 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 105 insertions(+), 69 deletions(-)

commit 75bbbd8d64ae5286b39032aa1af783add0ea7176
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Wed Oct 9 14:55:55 2024 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (525 of 525 strings)

 po/sk.po | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit 4e385c53f5a4dfd3a749f158d0f130c807052b7e
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 8 21:17:00 2024 +0200

    Explicit blacklisting of menu-xdg subfolders

    Those folders can contain a zoo of orphaned copies of old .desktop
    files, added to user's home directories by a faulty tool almost 10 years
    ago. The issues from the zombie was actually the trigger to
    recursive/non-recursive mode, so now only filter by blacklist and not by
    being a sub-folder per-se.

 src/fdomenu.cc | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 44443c7a6528bb2550eb4dbc3e4c36d2f0e0deac
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Oct 8 16:14:17 2024 +0000

    Translated using Weblate (Slovak)

    Currently translated at 99.8% (524 of 525 strings)

 po/sk.po | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit d4b29dd47a7733118fb559868560eb580517cddc
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Mon Oct 7 21:53:10 2024 +0000

    Translated using Weblate (Swedish)

    Currently translated at 99.6% (523 of 525 strings)

 po/sv.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 1952c4bbb649b8cf43d275b66cbcfe2de2ea8e2f
Author: David Medina <medipas@gmail.com>
Date:   Mon Oct 7 16:55:37 2024 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (525 of 525 strings)

 po/ca.po | 40 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 39 insertions(+), 1 deletion(-)

commit 6fe8129e3a9b8946bc32e0956f9badf75413af10
Author: David Medina <medipas@gmail.com>
Date:   Mon Oct 7 14:21:53 2024 +0000

    Translated using Weblate (Catalan)

    Currently translated at 99.8% (524 of 525 strings)

 po/ca.po | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 6877ce7bea64a9f879ed4fbbb54fc04ce751757d
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Oct 7 13:06:38 2024 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (525 of 525 strings)

 po/pt.po | 47 ++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 40 insertions(+), 7 deletions(-)

commit 2708565605516b5f75edf3aec11c0d41cd95f208
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Mon Oct 7 06:27:34 2024 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (525 of 525 strings)

 po/tr.po | 50 +++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 41 insertions(+), 9 deletions(-)

commit ec880c381580e2dfed7c93dcf7720d38bd374396
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 6 18:15:34 2024 +0200

    POT/PO update

 po/ar.po     | 4889 +++++++++++++++++++++++----------------------
 po/ast.po    | 3514 ++++++++++++++++----------------
 po/be.po     | 4815 ++++++++++++++++++++++----------------------
 po/bg.po     | 4987 +++++++++++++++++++++++-----------------------
 po/ca.po     | 5462 +++++++++++++++++++++++++-------------------------
 po/cs.po     | 5460 +++++++++++++++++++++++++-------------------------
 po/da.po     | 4728 +++++++++++++++++++++----------------------
 po/de.po     |  547 ++---
 po/el.po     | 5183 ++++++++++++++++++++++++------------------------
 po/en.po     | 3162 ++++++++++++++---------------
 po/eo.po     | 3164 ++++++++++++++---------------
 po/es.po     | 5456 +++++++++++++++++++++++++-------------------------
 po/fa.po     | 3375 +++++++++++++++----------------
 po/fi.po     | 5241 ++++++++++++++++++++++++------------------------
 po/fr.po     | 5582 ++++++++++++++++++++++++++-------------------------
 po/he.po     | 4134 +++++++++++++++++++-------------------
 po/hi.po     | 3567 +++++++++++++++++----------------
 po/hr.po     | 4077 +++++++++++++++++++-------------------
 po/hu.po     | 5830 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 1196 +++++------
 po/id.po     | 4982 +++++++++++++++++++++++-----------------------
 po/ie.po     | 4046 ++++++++++++++++++-------------------
 po/it.po     | 5470 +++++++++++++++++++++++++-------------------------
 po/ja.po     | 4956 +++++++++++++++++++++++-----------------------
 po/ka.po     | 3824 ++++++++++++++++++-----------------
 po/kk.po     | 3643 +++++++++++++++++-----------------
 po/ko.po     | 5463 +++++++++++++++++++++++++-------------------------
 po/lt.po     | 4927 ++++++++++++++++++++++-----------------------
 po/lv.po     | 4763 ++++++++++++++++++++++----------------------
 po/mk.po     | 4933 ++++++++++++++++++++++-----------------------
 po/nb.po     | 4844 +++++++++++++++++++++++----------------------
 po/nl.po     | 5234 ++++++++++++++++++++++++------------------------
 po/nn.po     | 3565 +++++++++++++++++----------------
 po/no.po     | 4616 +++++++++++++++++++++---------------------
 po/pl.po     | 5478 +++++++++++++++++++++++++-------------------------
 po/pt.po     | 4584 +++++++++++++++++++++---------------------
 po/pt_BR.po  | 5554 ++++++++++++++++++++++++++-------------------------
 po/ro.po     | 4691 +++++++++++++++++++++----------------------
 po/ru.po     | 5294 +++++++++++++++++++++++++------------------------
 po/sk.po     | 5164 +++++++++++++++++++++++------------------------
 po/sl.po     | 5172 ++++++++++++++++++++++++------------------------
 po/sv.po     | 5358 +++++++++++++++++++++++++------------------------
 po/tr.po     | 5450 +++++++++++++++++++++++++-------------------------
 po/uk.po     | 5303 +++++++++++++++++++++++++------------------------
 po/vi.po     | 4909 ++++++++++++++++++++++-----------------------
 po/zh_CN.po  | 5192 ++++++++++++++++++++++++------------------------
 po/zh_TW.po  | 5194 ++++++++++++++++++++++++------------------------
 47 files changed, 110097 insertions(+), 106881 deletions(-)

commit 134d576f99bc2873a8d947da1dd60f3ae32a596b
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 6 18:12:49 2024 +0200

    Control language selection by LINGUAS file, not filesystem wildcards

 po/CMakeLists.txt | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 40870207612543784bb8d512979720a1044a942f
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 6 14:36:15 2024 +0200

    Build dependency on gennews.sh for NEWS creation

    Also consider only 3.x tags for news creation, and no merge commits.

 Makefile.am | 2 +-
 gennews.sh  | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit cc3223e159a4be703d523aec604248b2b49c6aad
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 6 14:35:59 2024 +0200

    Ignore local junk from IDEs and personal notes

 .gitignore | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 51506b1f433f0747df9a4ed84d476647604265c7
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 6 12:08:49 2024 +0200

    Document optional requirements

 README.md.in | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 7ee30c9da977acfc618737cbfe32deb4a9082257
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 6 12:06:37 2024 +0200

    Make PACKAGE/VERSION overridable in from-git build mode

 CMakeLists.txt | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit d6bedaaf78fe0f265d92e35751910f51064661ad
Merge: cb210b76 9c77c3bf
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Sun Oct 6 10:51:36 2024 +0200

    Merge pull request #787 from Code7R/fix_clang_warnings

    Solve some warnings from receng clang and gcc

commit cb210b76b5c0cbfd7b9979cd747b2dcfe145a945
Merge: 2e9b00f8 7e0bd21d
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Sun Oct 6 10:51:14 2024 +0200

    Merge pull request #786 from Code7R/ftr_rebuilding_fdomenu3

    Rebuilt fdomenu

commit 9c77c3bfb2145cbbcfaf3802fdfcfe85306848cf
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 5 23:18:43 2024 +0200

    Stop using VLAs, they are not fully legal in C++

 src/apppstatus.cc | 2 +-
 src/misc.cc       | 3 ++-
 src/wmdock.cc     | 2 +-
 src/wmmgr.cc      | 2 +-
 src/wmpref.cc     | 2 +-
 src/yarray.cc     | 3 ++-
 src/yfontxft.cc   | 5 +++--
 src/yxtray.cc     | 2 +-
 8 files changed, 12 insertions(+), 9 deletions(-)

commit d5d7cfb291c24178f912a5b790f76625f7f45138
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 5 12:36:28 2024 +0200

    Solve some warnings from receng clang and gcc

    - also blanking the string memory buffer is not needed, simplified that.
    - fix ambigous != operator (for C++20 standard)

 src/aapm.cc        | 6 +-----
 src/mstring.cc     | 9 ++++-----
 src/wmswitch.cc    | 1 +
 src/yscrollview.cc | 4 ++--
 4 files changed, 8 insertions(+), 12 deletions(-)

commit 7e0bd21d66b4c4473dabcc89ba322446499eb592
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 17:14:27 2024 +0200

    Work around GCC11 issue

    Found by the CI.

 src/strtest.cc | 2 +-
 src/yicon.cc   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 62ae9f4f351533abc53de5e60039bec9f3967b18
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 16:21:43 2024 +0200

    Stop using smart pointers

    The deco objects have a pretty ordinary lifecycle.

 src/fdomenu.cc | 175 ++++++++---------------------------------------------
 1 file changed, 26 insertions(+), 149 deletions(-)

commit 295c80c2fb54231c4ec06b3903a04bccd5016ca4
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 13:44:46 2024 +0200

    Use system installation of nanosvg package, where possible

 src/CMakeLists.txt | 59 ++++++++++++++++++++++++++++++--------------------
 1 file changed, 36 insertions(+), 23 deletions(-)

commit 5db76ec6408f5cd7292539956f4e1bd20f99bd60
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 12:54:52 2024 +0200

    Fix C++14 issue with constness of functors

 src/fdomenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f428d3b1d62b00a73ec5688908e4de8152bbb736
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 12:48:58 2024 +0200

    More similar standard level selection (to autoconf with recent compilers)

 src/CMakeLists.txt | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 482bda0c6a5b61774e1a5529e59f6e90bc3f26bc
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 11:38:16 2024 +0200

    Drop unused fields, ignore comments earlier

 src/fdomenu.cc | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

commit 7a4707c42c7bc2a39e4768f749d81794d093cd14
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 10:46:55 2024 +0200

    Wide char aware string cropping

 src/fdomenu.cc | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 386114bebdddb988ea5318a5313414b8102e899d
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 4 09:39:23 2024 +0200

    Convert translated sorting to internal bubble sort

 src/fdomenu.cc | 100 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 61 insertions(+), 39 deletions(-)

commit 37e5381792668c0cda6702d8d425608f86e9cc07
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Oct 3 17:44:33 2024 +0200

    Resolve shadowing of apps which are having the same translated name

 src/fdomenu.cc | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit ecb2a2ff695ccd4c722b5aa93a777520dd6d45e4
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Oct 3 00:46:04 2024 +0200

    Overhaul content processing

    No dummy main categories, resolve incomplete references.
    Following the spec more closely, identifying apppriate categories.
    Don't consider application base library type as category.

 contrib/conv_cat.py |  97 +++++++++++-------------
 src/fdomenu.cc      |  96 +++++++++++++++++++-----
 src/fdospecgen.h    | 190 ++++++++++++++----------------------------------
 3 files changed, 173 insertions(+), 210 deletions(-)

commit 2597cc47381cbf7e9be697ba17e076cfad529c66
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 2 13:53:17 2024 +0200

    Make true/false checks case-insensitive

    Some applications ignore letter case of the spec and use True for true.

 src/fdomenu.cc | 31 ++++++++++++-------------------
 1 file changed, 12 insertions(+), 19 deletions(-)

commit 0a2f4dcbd40e17e11aa73385fb1235e73735eab2
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 2 13:06:55 2024 +0200

    Option to clamp rogue menu title's length

 lib/menu.in            |  2 +-
 man/icewm-menu-fdo.pod |  7 +++++++
 src/fdomenu.cc         | 17 +++++++++++++++++
 3 files changed, 25 insertions(+), 1 deletion(-)

commit f8b0720a958c670e490b35e53a48ed8b09969459
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 2 12:23:03 2024 +0200

    Local formating of prog title

    No more usecases for pass-through stream, and it's slightly faster.

 src/fdomenu.cc | 53 +++++++++++++++++++++++++++++------------------------
 1 file changed, 29 insertions(+), 24 deletions(-)

commit f0d5e545b851f2557cfc748f84ad55733bcf7e8f
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 2 12:14:20 2024 +0200

    Don't evaluate TryExec

    It is pointless, the existence check is done by icewm anyway. And
    skipping the arguments from Exec breaks some applications which add
    extra parameters to active UI/window mode.

 src/fdomenu.cc | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit a679bc192a66c751ce5e756eaafce2033478774e
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 2 12:10:50 2024 +0200

    Stop using std::regex

    Now over 7 times faster with halfe of the code size (optimized build).

 src/fdomenu.cc | 132 ++++++++++++++++++++++++++++++-----------------------
 1 file changed, 74 insertions(+), 58 deletions(-)

commit 88cb0722f70233aee1f871460d2b89e87bbd46de
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 1 14:21:14 2024 +0200

    Fixed merging of some submenu entries into correct parent

 src/fdomenu.cc | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit e54e27a731d384f20c7fbd84b41b478ec0d50bd0
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 1 12:22:56 2024 +0200

    Update XDG format reference version

    Also extend examples.

 man/icewm-menu-fdo.pod | 27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit bfc13f1958dad8f3687b23507a2ad2ee8e27b6ef
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 1 12:22:33 2024 +0200

    Save a few CPU cycles

 src/fdomenu.cc | 42 ++++++++++++++++++++----------------------
 1 file changed, 20 insertions(+), 22 deletions(-)

commit 67085e06bc827cdbfe0d25a1f25c0bae4dfba8d8
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 1 11:39:12 2024 +0200

    Minor performance tuning with different containers

 src/fdomenu.cc | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 3425159bb67364f73f39d05801acb89913c51e94
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 1 10:36:52 2024 +0200

    Optional source comment, more hidding, various fixes

    - no duplicated GenericName suffixes in --flat mode
    - move semantics on path strings
    - don't display apps marked with OnlyShowIn (i.e. not for us)

 src/fdomenu.cc | 94 +++++++++++++++++++++++++++++++++---------------------
 1 file changed, 57 insertions(+), 37 deletions(-)

commit df327c8aeca7a663a9215f35e275f5f05ee23e4f
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 23:55:53 2024 +0200

    Support more OS with the d_ent shortcut

    Also cleaning commments, simplifying code, fixing findings from clang++.

 src/fdomenu.cc | 51 +++++++++++++++------------------------------------
 1 file changed, 15 insertions(+), 36 deletions(-)

commit 29a0ed9c05008c1db87fb43afccb563f7844b82b
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 16:22:38 2024 +0200

    Dodge the GenericName which just repeats Name content

 src/fdomenu.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit ef3c60099cdf4813784c471b4af0f3b1076f9f2e
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 13:07:39 2024 +0200

    Configured timeout defaults to "sane" values

    Empirically found on an old single-core-magneto-HDD laptop.

    Also use -S mode for more compact structure where not many applications
    are installed.

 lib/menu.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 698af1a0988d2bb2b261efd3a14dddfc3d8a00e3
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 13:05:50 2024 +0200

    Disable --no-sep-others again

    The option is not implemented, not wanting it anyway. And should not
    change the meaning from what it did before to more invasive deletion of
    content.

 man/icewm-menu-fdo.pod | 4 ----
 src/fdomenu.cc         | 6 +++---
 2 files changed, 3 insertions(+), 7 deletions(-)

commit c42cb9f3bcf15b66ef998d5dd0c24f79fa3e0889
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 12:54:59 2024 +0200

    In timeout, don't waste time with nice-to-have optimizations

 src/fdomenu.cc | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

commit ee0a02992f527ffb0b4ae80e7d9430fca3aff000
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 12:48:07 2024 +0200

    Document new options

 man/icewm-menu-fdo.pod | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit 6a26b996084602535dcd497734f3778736d5398e
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 12:47:47 2024 +0200

    Document missing options and align help text format

 src/fdomenu.cc | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit f6089bfde94a3429d04a73e8e6cee638e1515c48
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 11:51:24 2024 +0200

    Tiny runtime saving by not cleaning up the tree in the end

 src/fdomenu.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4990704bef2c4200712692a604d61676d7453655
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 11:39:51 2024 +0200

    Minor heap usage optimization

    Split the Categories when it's time and not before, use a different
    splitter which also reduced the code size by a few KB.

 src/CMakeLists.txt |   1 +
 src/fdomenu.cc     | 190 ++++++++++++++++++++++++++++---------------------
 2 files changed, 109 insertions(+), 82 deletions(-)

commit bedfe981337d76bca3275bd6377b10e8b1721319
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 10:23:27 2024 +0200

    Minor refactoring (DRYing)

 src/fdomenu.cc | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

commit c6376df390fb10a84b13477e04c6f44d279fc680
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 09:58:48 2024 +0200

    Added a user hint and basic precaching hack on menu timeout

    Also fixing wrong timeout check enabling (for all) and restored the
    gettext annotation on help string.

 src/fdomenu.cc | 77 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 43 insertions(+), 34 deletions(-)

commit 266ad60b5559bfb80fb03d6f6a499bb907823499
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 09:34:43 2024 +0200

    Relocate --match-osec check to hit translated section names too

 src/fdomenu.cc | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit c76ece20b5cb1a22dba900d3aed54fd64c1a6c5c
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 09:12:05 2024 +0200

    Fix segfault when AudioVideo did not have decoration

 src/fdomenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7bdd4139e007e9eb336d438f236118d2cadde15f
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 30 08:55:39 2024 +0200

    Reimplemented --flat mode

 src/fdomenu.cc | 124 +++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 88 insertions(+), 36 deletions(-)

commit 495c8ead505b9f531669b875453a8ad9945a425f
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 29 16:37:58 2024 +0200

    Icon donation from AudioVideo section to Audio / Video

 src/fdomenu.cc | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 47a05a2d3f0ffd5a8088871beeaa1bbfdcf28320
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 29 16:14:34 2024 +0200

    Simple string matching filter implemented

 src/fdomenu.cc | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit c1e1ba783ed40303b6377d1b06bf429bfb265ded
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 29 14:21:34 2024 +0200

    Restore .desktop launching function

    Even if not used as callback anymore, some users might depend on it.

 src/fdomenu.cc | 35 ++++++++++++++++++++++++++---------
 1 file changed, 26 insertions(+), 9 deletions(-)

commit 97cd26c56282c18939f6a24bc0a2be5c1299d027
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 29 13:41:42 2024 +0200

    More sophisticated -S operation, also fixes, cleanup

 src/fdomenu.cc | 103 +++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 77 insertions(+), 26 deletions(-)

commit fec50af9b96e89a7b726315ece28c8325bb28ebf
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 29 10:49:02 2024 +0200

    Bugfixes, cleanup

 src/fdomenu.cc | 30 +++++++++++++++++++++++-------
 1 file changed, 23 insertions(+), 7 deletions(-)

commit 8bdb27943e958b558f2ec0ffb074bffe8b855f38
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 29 10:23:17 2024 +0200

    Better fix for duplicated appendixes

    Actually redesign the way how they are added, now avoids any mixture
    which looks like duplicate. To compensate extra memory expense, changed
    key handling in temporary maps to access (reliable) memory by pointer.

 src/fdomenu.cc | 155 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 95 insertions(+), 60 deletions(-)

commit bca77460ce7f0dd2b38d84fadfe912821d80d3ca
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 19:37:22 2024 +0200

    Refactor, reformat, fix typo

 src/fdomenu.cc | 680 ++++++++++++++++++++++++++---------------------------
 1 file changed, 338 insertions(+), 342 deletions(-)

commit 2dca4f5ea413798aeaabf243e1a9b3a8edc6d8e0
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 15:17:47 2024 +0200

    Deadline option to abort XDG data reading and print what we got so far

 src/fdomenu.cc | 82 ++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 64 insertions(+), 18 deletions(-)

commit 25f0ce8008700caafea232ec0d8aee35cc401ba2
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 14:10:33 2024 +0200

    Include implicitly pulled headers directly

 src/fdomenu.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 4fdb3ec42cd887ce04b5b0f2e1fcee9614b3032b
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 12:52:54 2024 +0200

    Disable sync with stdio

    This is just a helper for strace analysis in terminal environment. Pipe
    operations like from icewm would already turn off the sync.

 src/fdomenu.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 38552a7b377ab703d214e65c53960cd4b407685d
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 12:26:23 2024 +0200

    Drop dependency on YLocale class and X11 libs

    Since no glib or X11 stuff is required anymore, can save a bit on
    loading time. Moving code (for LC_MESSAGE lang extraction) back to us.

 src/CMakeLists.txt | 15 +++++++++------
 src/fdomenu.cc     | 19 +++++++++++++------
 2 files changed, 22 insertions(+), 12 deletions(-)

commit 1aa5f24f6611a1004172e648161a07d962541d66
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 11:16:56 2024 +0200

    Hint on requirement of SVG support

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5eafe9475cca1269615e29d37eb434378715d7c7
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 28 10:37:34 2024 +0200

    Fix and streamline conversion flow

    - fix bad vim modeline, align with parent folder
    - simplified flow, making it straight with control options rather than
      depending obscure targets
    - document the flow
    - explicit developer options to control the behavior
    - drop deprecated option in POT creation (xgettext warning)

 po/CMakeLists.txt | 213 ++++++++++++++++++++++++++++++++------------------
 1 file changed, 135 insertions(+), 78 deletions(-)

commit 8cbfd301d6336f2dc7bfde7fa636e9b527db07f5
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 19:54:47 2024 +0200

    Fix loading from gettext if menu did not have a description

 src/fdomenu.cc | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit 5d735df293e61fd94e114ef58e800d757f98d01c
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 19:20:39 2024 +0200

    Helper to create locale folder mock

    Can be used while specifying -DLOCDIR=<builddir>/po/playground in
    development builds.

 po/CMakeLists.txt | 7 +++++++
 1 file changed, 7 insertions(+)

commit 62f7803377df5dcb7b6e71a21b5a9cb2943d1745
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 18:59:11 2024 +0200

    Minor updates

 po/de.po | 5304 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 2704 insertions(+), 2600 deletions(-)

commit 882a3f540ce19b93219ac5c9aed4b1494824fd5a
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 18:58:26 2024 +0200

    Update CMake requirement to prevent warnings

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4feb39e549c487a8bb03d52d29dbb74efa257d0
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 12:22:01 2024 +0200

    Option to move lone entries to their parent menues.

 man/icewm-menu-fdo.pod | 19 ++++++++++++---
 src/fdomenu.cc         | 58 ++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 67 insertions(+), 10 deletions(-)

commit 5c867d50ba571f196766e340a30d87d776dd3ceb
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 12:21:41 2024 +0200

    Restore option to remove Other menu

 man/icewm-menu-fdo.pod | 2 +-
 src/fdomenu.cc         | 6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit a3e98c7bdbdf68a72e7bc008f8602932f3de6bd9
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 10:25:50 2024 +0200

    Drop old Perl based converter (obsolete)

 contrib/conv_cat.pl | 158 ------------------------------------------------
 1 file changed, 158 deletions(-)

commit d688c1ff7f05430e77ca6d34983d90032e357837
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 10:25:30 2024 +0200

    Printing of GenericName

 src/fdomenu.cc | 30 ++++++++++++++++++++++++++----
 1 file changed, 26 insertions(+), 4 deletions(-)

commit b3e2db22bf439dad64a646614d4a3d8294175edc
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 10:11:17 2024 +0200

    Match country-specific languages correctly

 src/fdomenu.cc | 101 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 59 insertions(+), 42 deletions(-)

commit 57c03f6d79f89eae2b0346387248f46733f0bb30
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 08:44:30 2024 +0200

    Fewer stat operations using readdir hints

 src/fdomenu.cc | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit ce23ebaf6c2827e704a2ac5196a9538707afefd2
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 08:22:10 2024 +0200

    Stop storing lookup helper in global member

    Parts can be temporary, and collecting the data when constructing adds
    more complexity then doing this later when each menu is visited anyway.

 src/fdomenu.cc | 80 ++++++++++++++++++------------------------------------
 1 file changed, 27 insertions(+), 53 deletions(-)

commit e3e326a84626d9902c2cb382635d2c807066627f
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 00:50:37 2024 +0200

    Support --no-sub-cats

 src/fdomenu.cc | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit 5dc130693572386c7176303f4bcbcb207342d9f4
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 27 00:38:28 2024 +0200

    Cleaning

 src/fdomenu.cc | 14 --------------
 1 file changed, 14 deletions(-)

commit 2d9f316a95ac2127610b5af22a6c0412920cc8cf
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 22:39:31 2024 +0200

    Rename local DBG macro

 src/fdomenu.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit a306426793ae7c81db7ba2f62e9db161a30e273e
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 22:30:59 2024 +0200

    Implemented execution in Terminal

    Restored terminal lookup code

 src/fdomenu.cc | 60 ++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 40 insertions(+), 20 deletions(-)

commit 5b802bdc3d802ef8226a032a192acc27c83c8a43
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 22:04:38 2024 +0200

    Add extra separator handling

 src/fdomenu.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 1c85f93b2cbc8d9a8f7aacfe1d4a477ce31d9198
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 21:56:16 2024 +0200

    Filter out duplicates where apps declare some intermediate categories
    as well

 src/fdomenu.cc | 37 +++++++++++++++++++++++++++----------
 1 file changed, 27 insertions(+), 10 deletions(-)

commit 8d3382ba44e4585c3b2f59583694bdc54816f703
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 21:28:32 2024 +0200

    Common DBG macro to turn on/off debug notes

 src/fdomenu.cc | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit c3260fc6bf645ec528d5160c8bcecc81ed2bcab9
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 21:25:00 2024 +0200

    Stop requiring glib in CMake build

 src/CMakeLists.txt | 5 -----
 1 file changed, 5 deletions(-)

commit a350749fe832130808cbec28d8a2949833c0222c
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 21:23:01 2024 +0200

    clang-reformat fdomenu.cc

 src/fdomenu.cc | 223 ++++++++++++++++++++++++++++-------------------------
 1 file changed, 119 insertions(+), 104 deletions(-)

commit 8f33dbe74a3e6c22da30ad028430383bb6dbc061
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 21:19:12 2024 +0200

    Don't recurse for .directory fetching

    Legacy applications used to dump some unmaintained descriptions into
    such folders in local home. TBD.

 src/fdomenu.cc | 50 +++++++++++++++++++++++++++++++-------------------
 1 file changed, 31 insertions(+), 19 deletions(-)

commit 53e911f40a0accefb86671f6fc915e1b0f192756
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 21:00:55 2024 +0200

    Drop menu info getter

    Was not the best idea.

 src/fdomenu.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit d98ce079d7665942817b005461ead04ec90f3567
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 20:29:55 2024 +0200

    Mark submenu labels translateable

 contrib/Main_Categories.csv |   14 +
 contrib/conv_cat.py         |   44 +-
 src/fdospecgen.h            | 1383 +++++++++++++++++++++++++++++++++------
 3 files changed, 1219 insertions(+), 222 deletions(-)

commit 63ca37fb01d55bcea4cdc0a28001c9700bc01db2
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 19:56:47 2024 +0200

    Fallback to directory file base name matching the category name

 src/CMakeLists.txt |  3 +++
 src/fdomenu.cc     | 32 +++++++++++++++++++++++++++-----
 2 files changed, 30 insertions(+), 5 deletions(-)

commit 1c0961021a32b3c182ccc25b99ac35636fdf4bf0
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 17:31:32 2024 +0200

    Work around missing reverse iterator, can be plain C++11 again

 src/CMakeLists.txt | 2 +-
 src/fdomenu.cc     | 8 +++++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 443084f08fcec4c66a361a6334480a44eb30a1ae
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 17:19:21 2024 +0200

    Fix main cat fallback

 contrib/conv_cat.py |  2 +-
 src/fdospecgen.h    | 84 ++++++++++++++++++++++++-------------------------
 2 files changed, 43 insertions(+), 43 deletions(-)

commit 8b75dde4cc5650489022413b08bb1b2cf6cdb5d3
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 16:56:41 2024 +0200

    Attaching menu description, incomplete

 src/fdomenu.cc | 69 +++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 60 insertions(+), 9 deletions(-)

commit 7e5e19dd9c766e3f3a43298cb05152a13abc22ff
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 11:00:40 2024 +0200

    Simple attempt to get duplicated items in parent nodes

 src/fdomenu.cc | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 984970a52b98c194739841be5bbe1245dbe6305e
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 26 10:32:56 2024 +0200

    Map unknown subcats to Other main cat

 contrib/conv_cat.py | 51 ++++++++++++++++++++++----------------
 src/fdospecgen.h    | 66 ++++++++++++++++++++++++++-----------------------
 2 files changed, 65 insertions(+), 52 deletions(-)

commit 22c164a1105cd0f92a3f68e35ee110f230a339ae
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 25 19:48:48 2024 +0200

    Localized sorting

 src/fdomenu.cc | 38 ++++++++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 14 deletions(-)

commit 06e9e1674aa1458a2f795de0309dfaa27aa62d11
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 25 19:03:00 2024 +0200

    Cleanup, fix Other menu population

 src/fdomenu.cc | 1098 ++--------------------------------------------------
 1 file changed, 23 insertions(+), 1075 deletions(-)

commit 89feeb022e6de696eaa96e2c44080e8544f8b490
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 25 18:25:47 2024 +0200

    Fixup some of the expansion patterns in the exec string

 src/fdomenu.cc | 125 ++++++++++++++++++++++++-----------------------------
 1 file changed, 56 insertions(+), 69 deletions(-)

commit ab6af3fa8f439345e1f730f51e76be565d367383
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 25 16:33:21 2024 +0200

    First working printing code after rewrite

 .clang-format  | 274 +++++++++++++++++++
 src/fdomenu.cc | 777 +++++++++++++++++++++++++++--------------------------
 2 files changed, 669 insertions(+), 382 deletions(-)

commit 5f044870cfaf5c31641964c738b03fb54fe74725
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Jan 14 18:22:34 2024 +0100

    WIP: redesigning menu handling

 INSTALL                           |    6 +-
 VERSION                           |    2 +-
 configure.ac                      |   12 +-
 contrib/Additional_Categories.csv |  129 ++++
 contrib/conv_cat.pl               |  171 +++--
 contrib/conv_cat.py               |  122 ++++
 src/CMakeLists.txt                |    2 +-
 src/fdomenu.cc                    | 1099 ++++++++++++++++++++++++++++-----
 src/fdospecgen.h                  |  551 +++++++----------
 9 files changed, 1574 insertions(+), 520 deletions(-)

commit 5b3c86c7c8b315140f69993ac5bcbc9cbddffb5b
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Jan 14 13:09:42 2024 +0100

    Workaround for gettext not applied on submenu

 src/fdomenu.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit efa4b66660254735fa8b152cb62c70bffa5ae0fd
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Jan 14 11:14:54 2024 +0100

    WIP: switched more glib containers to stl

 src/fdomenu.cc | 161 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 93 insertions(+), 68 deletions(-)

commit cc30c9afaeaa1ab82936309b4771d3dc90b23018
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Jan 13 19:09:09 2024 +0100

    Minor fixes and improvements on XDG menu

    - check presence of all RTLs (Sindhi and Urdu were ignored)
    - Simplify code, use standard algorithms / for-range loops
    - extract/unify the language/chartype fishing code

 src/fdomenu.cc  | 105 ++++++++++++++++++++++------------------------------
 src/fontmacro.h |   2 +-
 src/yfontxft.cc |   8 ++--
 src/ylocale.cc  |  16 +++++---
 src/ylocale.h   |   2 +-
 5 files changed, 61 insertions(+), 72 deletions(-)

commit 55fc052fc6d4e308882f55aa8a1e5a44a8d4e003
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Jan 2 14:42:52 2024 +0100

    LC_CTYPE specific hints to Xft selection

    This is not as smart as libpango and similar but should instruct Xft
    sufficiently to select a Sans compatible font which actually brings the
    required codeset.

    Closes ice-wm/icewm#149

 src/fontmacro.h | 15 ++++++++++-----
 src/yfontxft.cc | 10 ++++++++++
 src/ylocale.cc  |  9 +++++++++
 src/ylocale.h   |  1 +
 4 files changed, 30 insertions(+), 5 deletions(-)

commit 2e9b00f8d459aa4d820f8ac399bdfc1691a58142
Author: Virinas code <alexcode228@gmail.com>
Date:   Tue Sep 3 09:34:34 2024 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (527 of 527 strings)

 po/fr.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 024422c1a80e8c1e7792e1bb5261698446f78a05
Author: Alessio Adamo <alessio.adamo@gmail.com>
Date:   Mon Aug 26 13:40:46 2024 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (527 of 527 strings)

 po/it.po | 48 ++++++++++++++++++++++++++----------------------
 1 file changed, 26 insertions(+), 22 deletions(-)

commit b8f5486badfbcc9bee37e41bee06ba50a39a5203
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 4 22:17:15 2024 +0200

    Move all keybinding initializations to its own C++ file.

 src/bindkey.cc | 105 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 105 insertions(+)

commit 779367f0d101992e5f3493c097ab52ecedb08dce
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 4 22:04:50 2024 +0200

    Dissolve the WM_KEY macros.

 src/CMakeLists.txt |   3 +-
 src/Makefile.am    |   1 +
 src/bindkey.h      | 303 ++++++++++++++++---------------------------------
 src/genpref.cc     |   2 -
 src/movesize.cc    |  72 ++++++------
 src/wmapp.cc       |  58 +++++-----
 src/wmmgr.cc       | 110 +++++++++---------
 src/wmminiicon.cc  |   6 +-
 src/wmtaskbar.cc   |  16 +--
 src/wmwinlist.cc   |  50 ++++----
 src/wmwinmenu.cc   |   2 +-
 11 files changed, 257 insertions(+), 366 deletions(-)

commit 466e1641e522251dfe0e1a2efe611a2210231f5b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 4 22:04:40 2024 +0200

    Consistently use keyCodeToKeySym.

 src/yxapp.cc | 8 ++++++--
 src/yxapp.h  | 1 +
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 293bb5138584ee76f04f80a53314712ccf67de9f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 3 13:57:37 2024 +0200

    Add constructors to WMKey.

 src/bindkey.h | 4 ++--
 src/wmkey.h   | 5 +++++
 src/wmmenu.cc | 6 +++++-
 src/wmprog.cc | 7 +------
 4 files changed, 13 insertions(+), 9 deletions(-)

commit 080c828a302c651267faea395e2eae8c782b6baa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 3 12:35:35 2024 +0200

    Enforce a limit of 8 mouse pointer buttons, as more is impossible.

 src/yconfig.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dce879b97b8c9317d16a42d3eaa076f6af7503e4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 2 18:24:22 2024 +0200

    Reuse WMKey in KProgram.

 src/wmapp.cc  |  2 +-
 src/wmapp.h   |  1 -
 src/wmkey.h   | 17 +++++++++++++++++
 src/wmmgr.cc  |  8 +++-----
 src/wmprog.cc | 23 +++++++++++++++--------
 src/wmprog.h  | 18 +++++++++---------
 src/yconfig.h | 14 +-------------
 7 files changed, 46 insertions(+), 37 deletions(-)

commit 5ea69e7ef054c3ee65cddc9a22bc979fffc8e77d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 1 22:25:23 2024 +0200

    Move parsing key definitions to class WMKey.

 src/wmapp.cc   |  5 +----
 src/wmpref.cc  |  8 +-------
 src/yconfig.cc | 10 +---------
 src/yconfig.h  |  2 ++
 src/yxapp.cc   | 24 ++++++++++++++++++++++++
 5 files changed, 29 insertions(+), 20 deletions(-)

commit 7aedab7e19221acfd809061fd4116836614730b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 25 17:14:59 2024 +0200

    Support keybindings to shifted XF86keysyms like XF86AudioPause for
    issue #781.

 src/yxapp.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8f291a18668f27213b17d614dc3f6c3be9c9e622
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 24 22:57:14 2024 +0200

    Elaborate on symbols and expressions and document the minus operator.

 man/icesh.pod | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 92961dee3675fcb4953fcdd55da193fe72e7dcc3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 24 22:56:09 2024 +0200

    To drag a maximized window, keep the Shift key down for issue #780.

 man/icewm.pod | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3711e735ea9327243e54522bed4b035887344cfe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 24 22:54:35 2024 +0200

    Revert "When LimitPosition is false, you can drag maximized windows
    off-screen."

 src/movesize.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 842aebe7eb1eb68855f41d175bad361208f4afa2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 24 18:46:19 2024 +0200

    When LimitPosition is false, you can drag maximized windows off-screen
    and closes issue #780.

 src/movesize.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46e93f2d17e648ad0ce824bc8f289ace9d47bd0a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 21 21:34:10 2024 +0200

    When raising a frame, check if the focused frame needs to bind the mouse
    buttons, if it is overlapped.
    When minimizing or hiding transients, check against transients being
    tabs in the same frame.

 src/wmframe.cc | 27 +++++++++++++++++++--------
 src/wmmgr.h    |  2 +-
 2 files changed, 20 insertions(+), 9 deletions(-)

commit 45b67d79eadbd539476e06514971d20d7018c366
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 21 21:32:50 2024 +0200

    When focusing a frame under the mouse, prefer to focus its topmost
    transient.

 src/wmmgr.cc | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 8b30a83e59d327079f6aeb9a8cc2dceeac733eda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 14 12:19:36 2024 +0200

    Support changing the Dock container layer while running.

 src/wmdock.cc | 18 +++++++++++++++++-
 src/wmdock.h  |  3 +++
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 33c721c947257ea70515042ead5ee0a4820083dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 11 23:20:03 2024 +0200

    Simplify captureEvents/releaseEvents.

 src/ywindow.cc | 12 ++----------
 src/ywindow.h  |  3 ---
 2 files changed, 2 insertions(+), 13 deletions(-)

commit 5b2eee2bf6ad989964f9ba9177da00e2dd110e13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 12:25:34 2024 +0200

    Document the use of the LimitByDockLayer pref for DockApps.

 man/icewm.pod | 3 +++
 1 file changed, 3 insertions(+)

commit 7d463fc33200157326b7370c71fdd195ff159adc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 12:22:40 2024 +0200

    Document the layers and the support for dockapps.

 man/icewm.pod | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 519cc92557c9fb52f69094591fd6700ad5869059
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 11:58:38 2024 +0200

    Update DockApps preferences comment.

 man/icewm-preferences.pod | 4 ++--
 src/default.h             | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit ce6ba582f87ef040f8a366bcee3c92830a154272
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 6 22:30:21 2024 +0200

    Also update DockApps container when downsizing.

 src/wmdock.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 3e634220bf75aba842476cc2532f4b5e42afa8b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 6 20:16:01 2024 +0200

    When DockApps has "dock" and LimitByDockLayer=1 then update the desktop
    work area so that maximized windows leave the DockApps container visible
    for issue #779.

 man/icewm-preferences.pod |  5 +++--
 src/wmdock.cc             | 13 ++++++++++++-
 src/wmdock.h              |  3 +++
 src/wmmgr.cc              | 14 ++++++++++++++
 4 files changed, 32 insertions(+), 3 deletions(-)

commit cdbdbab24331c25ea0ea201011ddb695b5a5be35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 2 21:30:18 2024 +0200

    When a key event is handled, don't propagate it further.

 src/wmwinlist.cc | 56 +++++++++++++++++++++-------------------------------
 1 file changed, 22 insertions(+), 34 deletions(-)

commit e4a32f3d3ba0fa7dfeafedb0c74fd8381c06e0e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 30 23:23:09 2024 +0200

    Improve support for properties with COMPOUND_TEXT in icesh.

 src/icesh.cc | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 7c5ff316594f52faf9774f4238c53aff2e41a807
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 28 18:08:03 2024 +0200

    Add -Await option to icesh to wait for and select new client windows.

 man/icesh.pod |  5 ++++
 src/icesh.cc  | 74 +++++++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 71 insertions(+), 8 deletions(-)

commit 5c00dfc7ed9f8b16cd502f58faf30da7006d31ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 28 18:05:59 2024 +0200

    Properly compute the first parameter to the select(2) system call.

 src/yapp.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit c9ac56bc80e355546e5e947bcfe96977b4b79688
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 21 17:59:57 2024 +0200

    End manual placement when the client exits.

 src/movesize.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 98a12c4874fd10b77289b1acafd97927461f2b86
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 18 20:40:24 2024 +0200

    Stop move/sizes when changing tabs.

 src/movesize.cc | 4 ++++
 src/wmframe.cc  | 7 ++++---
 src/wmframe.h   | 1 +
 3 files changed, 9 insertions(+), 3 deletions(-)

commit c1feb0cae8d4edab86409896b1443d25d48ca7f9
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Tue Jun 18 15:11:59 2024 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 34.3% (181 of 527 strings)

 po/kk.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 79c10bb06095a81636b4267e3d24463cb984ae79
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 18 18:25:35 2024 +0200

    Better guard move/sizes and make sure they are properly terminated.

 src/movesize.cc | 7 +++++--
 src/wmframe.cc  | 7 +++++++
 src/wmframe.h   | 1 +
 3 files changed, 13 insertions(+), 2 deletions(-)

commit dff915775d63943c32ad9cd2f8f3e02385f7901b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Jun 17 16:59:43 2024 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 33.9% (179 of 527 strings)

 po/kk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 2f85b3c5e8546ff952bc97a9a4aed34d361dba39
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 17 19:48:58 2024 +0200

    Add support for _NET_WM_MOVERESIZE_CANCEL.

 src/movesize.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit b843f88f4baada71ac3c7073b61288e69933f7c8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 14:32:59 2024 +0200

    Prepare 3.6.0 release

 AUTHORS      |   6 +-
 ChangeLog    | 648 +++++++++++++++++++++++++++++--------------------------
 NEWS         |  71 +++---
 README.md    |  16 +-
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/ast.po    |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/eo.po     |   2 +-
 po/es.po     |   2 +-
 po/fa.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hi.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/ie.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ka.po     |   2 +-
 po/kk.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/nn.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 54 files changed, 456 insertions(+), 395 deletions(-)

commit 3932b76e26ea671cda8e44fa47ca23174baa58c5
Merge: f6570cc3 27126c52
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 14:28:46 2024 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 27126c52d02c2518c21643553badeaf0de5fe9e3
Merge: 7b78c76b a1938290
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 14:27:49 2024 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit a1938290ee88fddff0d17737c35906314fb41ac0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 14:27:12 2024 +0200

    Update pot files.

 po/ar.po     | 116 +++++++++++++++++++++++++--------------------------
 po/ast.po    | 116 +++++++++++++++++++++++++--------------------------
 po/be.po     | 116 +++++++++++++++++++++++++--------------------------
 po/bg.po     | 116 +++++++++++++++++++++++++--------------------------
 po/ca.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/cs.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/da.po     | 116 +++++++++++++++++++++++++--------------------------
 po/de.po     | 116 +++++++++++++++++++++++++--------------------------
 po/el.po     | 116 +++++++++++++++++++++++++--------------------------
 po/en.po     | 116 +++++++++++++++++++++++++--------------------------
 po/eo.po     | 116 +++++++++++++++++++++++++--------------------------
 po/es.po     | 116 +++++++++++++++++++++++++--------------------------
 po/fa.po     | 116 +++++++++++++++++++++++++--------------------------
 po/fi.po     | 116 +++++++++++++++++++++++++--------------------------
 po/fr.po     | 116 +++++++++++++++++++++++++--------------------------
 po/he.po     | 116 +++++++++++++++++++++++++--------------------------
 po/hi.po     | 116 +++++++++++++++++++++++++--------------------------
 po/hr.po     | 116 +++++++++++++++++++++++++--------------------------
 po/hu.po     | 116 +++++++++++++++++++++++++--------------------------
 po/icewm.pot | 118 ++++++++++++++++++++++++++--------------------------
 po/id.po     | 116 +++++++++++++++++++++++++--------------------------
 po/ie.po     | 116 +++++++++++++++++++++++++--------------------------
 po/it.po     | 116 +++++++++++++++++++++++++--------------------------
 po/ja.po     | 123 ++++++++++++++++++++++++++++---------------------------
 po/ka.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/kk.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/ko.po     | 116 +++++++++++++++++++++++++--------------------------
 po/lt.po     | 116 +++++++++++++++++++++++++--------------------------
 po/lv.po     | 116 +++++++++++++++++++++++++--------------------------
 po/mk.po     | 116 +++++++++++++++++++++++++--------------------------
 po/nb.po     | 116 +++++++++++++++++++++++++--------------------------
 po/nl.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/nn.po     | 116 +++++++++++++++++++++++++--------------------------
 po/no.po     | 116 +++++++++++++++++++++++++--------------------------
 po/pl.po     | 116 +++++++++++++++++++++++++--------------------------
 po/pt.po     | 116 +++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 116 +++++++++++++++++++++++++--------------------------
 po/ro.po     | 116 +++++++++++++++++++++++++--------------------------
 po/ru.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/sk.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/sl.po     | 116 +++++++++++++++++++++++++--------------------------
 po/sv.po     | 120 ++++++++++++++++++++++++++---------------------------
 po/tr.po     | 116 +++++++++++++++++++++++++--------------------------
 po/uk.po     | 116 +++++++++++++++++++++++++--------------------------
 po/vi.po     | 116 +++++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 116 +++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 116 +++++++++++++++++++++++++--------------------------
 47 files changed, 2747 insertions(+), 2746 deletions(-)

commit 00aa500f0162eb255cc80381d5c0cb5dc3057121
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 14:08:48 2024 +0200

    Mention the requirements for the --install option.

 man/icewm.pod | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 93161db90cc0e1af53724977ae9c2e321aea05e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 11:49:14 2024 +0200

    Do XFilterEvent globally.

 src/yinputline.cc | 10 ++--------
 src/ywindow.cc    |  4 ----
 src/ywindow.h     |  5 -----
 src/yxapp.cc      |  6 ++++--
 4 files changed, 6 insertions(+), 19 deletions(-)

commit b55b0945a036f22fc5f9d4c76efde2dec68bb1fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 11:48:43 2024 +0200

    Avoid constructing invalid work areas.

 src/wmmgr.cc | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 100be1b2d61e7199a4e8323adc2bc242ddf5e4e3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 11:47:51 2024 +0200

    Log key events.

 src/logevent.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db573a88b8662a3f970f201c20af5153317bee04
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 20:12:27 2024 +0200

    Fix length calculation after getCharFromEvent.

 src/yinputline.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9fd6e41a4ef1a792337bac0ff4eb518f8aeb4d48
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 19:40:18 2024 +0200

    Don't dispatch events to destroyed windows.

 src/yxapp.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 3be1fb7b413d178cb4688e1aef7d193b936cd06b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 19:39:09 2024 +0200

    Don't install mouse bindings when the frame is being destroyed.

 src/movesize.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 20fc06997f74a3fc799b87ff9b0c69b3fa246997
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 18:59:22 2024 +0200

    Don't create Window handle when destroyed or without a parent.

 src/ywindow.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90439526e4c10dc5c2194e6e0439f1d08397c645
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 16:39:21 2024 +0200

    Ignore moving/sizing requests, when a moving or sizing is already in
    progress.

 src/movesize.cc | 6 ++++--
 src/wmclient.cc | 4 ++--
 src/wmframe.h   | 2 +-
 3 files changed, 7 insertions(+), 5 deletions(-)

commit 17b3dca81dbd4c8622a44db94d54cff882a603f5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 15:27:23 2024 +0200

    Only compare icewm-extra tar file against ctime.

 src/theminst.cc | 1 -
 1 file changed, 1 deletion(-)

commit e1ade743d8b1ebd9bac12653a59aace991204276
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 13:24:14 2024 +0200

    Convert to wchar_t using YWideString.

 src/yinputline.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit db637d7c362f33dd70fdd387d5e11efa5cb0c44d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 13:15:50 2024 +0200

    Provide for the case when XCreateIC fails.

 src/yinputline.cc | 53 +++++++++++++++++++++++++++++++++++----------------
 1 file changed, 37 insertions(+), 16 deletions(-)

commit e969d47ebe9d7a23e178e54463cbf1a319ff5038
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 12:58:28 2024 +0200

    Fix checking for mkdir success in ensureDirectory.

 src/upath.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74e0f4b6de4c97772bbb8ec650781116d84431c8
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Fri Jun 14 14:32:56 2024 +0000

    Translated using Weblate (Georgian)

    Currently translated at 50.2% (265 of 527 strings)

 po/ka.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 62d5e610c205fc81782687edd1c51b022ef2a508
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 13 21:41:02 2024 +0200

    Support composing characters in the address bar with X input method.

 man/icewm.pod     |  1 +
 src/yinputline.cc | 90 ++++++++++++++++++++++++++++++++++++++++-----------
 src/yinputline.h  |  3 ++
 src/ylocale.cc    |  3 --
 src/ywindow.cc    |  7 +++-
 src/ywindow.h     |  5 +++
 src/yxapp.cc      | 14 ++++++++
 src/yxapp.h       |  3 ++
 8 files changed, 104 insertions(+), 22 deletions(-)

commit 673b8d6b90d4e0a70fedd6ac236b3dda9ec762ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 11 22:11:10 2024 +0200

    Double-clicking on the border can undo a maximization.

 man/icewm.pod | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit c1673a36e3ce006494368c0a25489d64050f9341
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 11 22:08:07 2024 +0200

    Restore moving windows by dragging with the right button down.

 src/wmframe.cc | 2 +-
 src/ywindow.cc | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit dd04522dd59072ea5803170c83f1ed6c6b685819
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Jun 10 17:37:25 2024 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 32.4% (171 of 527 strings)

 po/kk.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e0b748da4c0b6f31aa15b04f169d39bb1665de59
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 10 19:38:53 2024 +0200

    Double-click the border to maximize just that side for ice-wm/icewm#163.
    Repeat to restore that side. Also for corners.

 man/icewm-preferences.pod |   4 +-
 man/icewm.pod             |   7 +-
 src/movesize.cc           | 167 +++++++++++++++---------------------------
 src/wmframe.cc            |  85 ++++++++++++++++++++-
 src/wmframe.h             |   9 ++-
 5 files changed, 155 insertions(+), 117 deletions(-)

commit 07805dd4d3f3b76f45f7bfa8c5002eb6863211dc
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Jun 9 07:35:57 2024 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 32.2% (170 of 527 strings)

 po/kk.po | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit c60b4815f7596abab9066685cf7e7f68fa6e268e
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Jun 9 04:22:50 2024 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 30.3% (160 of 527 strings)

 po/kk.po | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit f6570cc3cac7f62ddd468a8616b9f0e95af4f7c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 6 20:23:43 2024 +0200

    Prepare 3.5.1 release

 AUTHORS      |   5 +-
 ChangeLog    | 645 +++++++++++++++++++++++++++----------------------------
 NEWS         | 102 ++++-----
 README.md    |  16 +-
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  88 ++++----
 po/ast.po    |  88 ++++----
 po/be.po     |  88 ++++----
 po/bg.po     |  88 ++++----
 po/ca.po     |  88 ++++----
 po/cs.po     |  88 ++++----
 po/da.po     |  88 ++++----
 po/de.po     |  88 ++++----
 po/el.po     |  88 ++++----
 po/en.po     |  88 ++++----
 po/eo.po     |  88 ++++----
 po/es.po     |  88 ++++----
 po/fa.po     |  88 ++++----
 po/fi.po     |  88 ++++----
 po/fr.po     |  88 ++++----
 po/he.po     |  88 ++++----
 po/hi.po     |  88 ++++----
 po/hr.po     |  88 ++++----
 po/hu.po     |  88 ++++----
 po/icewm.pot |  90 ++++----
 po/id.po     |  88 ++++----
 po/ie.po     |  88 ++++----
 po/it.po     |  88 ++++----
 po/ja.po     |  88 ++++----
 po/ka.po     |  88 ++++----
 po/kk.po     |  88 ++++----
 po/ko.po     |  88 ++++----
 po/lt.po     |  88 ++++----
 po/lv.po     |  88 ++++----
 po/mk.po     |  88 ++++----
 po/nb.po     |  88 ++++----
 po/nl.po     |  88 ++++----
 po/nn.po     |  88 ++++----
 po/no.po     |  88 ++++----
 po/pl.po     |  88 ++++----
 po/pt.po     |  98 ++++-----
 po/pt_BR.po  |  98 ++++-----
 po/ro.po     |  88 ++++----
 po/ru.po     |  88 ++++----
 po/sk.po     |  88 ++++----
 po/sl.po     |  88 ++++----
 po/sv.po     |  88 ++++----
 po/tr.po     |  88 ++++----
 po/uk.po     |  88 ++++----
 po/vi.po     |  88 ++++----
 po/zh_CN.po  |  88 ++++----
 po/zh_TW.po  |  88 ++++----
 54 files changed, 2457 insertions(+), 2483 deletions(-)

commit 03cfb7af0bf249df7aa8e6762cf7509060f9474b
Merge: 35ebf609 7b78c76b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 6 20:16:49 2024 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 7b78c76b9d5d05ea07a7ecf291d23e5c894f18e6
Merge: 1fb15135 935ca058
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 6 20:15:28 2024 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 935ca058b50713d42c8abd909b0c1e3e2e579377
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 6 19:19:37 2024 +0200

    Add percentage to icesh move for ice-wm/icewm#169

 man/icesh.pod |   2 ++
 src/icesh.cc  | 101 +++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 68 insertions(+), 35 deletions(-)

commit ac3ebd48061795a31a9026870c39093fa2505687
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 4 22:32:30 2024 +0200

    Fix test -nt for NetBSD and closes ice-wm/icewm#168.

 doc/Makefile.am | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 03d6dd29bd4cdff00f73011f8910dc227ccae74a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 4 10:16:08 2024 +0200

    Drop empty si.po.

 po/LINGUAS |    1 -
 po/si.po   | 2638 --------------------------------------------------------
 2 files changed, 2639 deletions(-)

commit acaa818dea771f9fc2c0777fa6b18ed4b51d5e7f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 2 16:05:08 2024 +0200

    Update INSTALL.cmakebuild from INSTALL-cmakebuild.md.

 INSTALL.cmakebuild | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 970fc92f5fba3ebd778ce925ef91feff066f52cc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 2 10:27:24 2024 +0200

    Also expand a leading tilde username prefix.

 src/yinputline.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 0373b9d53af5189fdd77d666149e93c953a7d96c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 30 19:44:26 2024 +0200

    Update icewm manpage description.

 man/icewm.pod | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 71002168d3ec3840cb268b01abad0b2400c0343f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 30 19:43:17 2024 +0200

    Warn if DESKTOP_SESSION is icewm instead of icewm-session.

 src/base.h    | 1 +
 src/wmapp.cc  | 2 ++
 src/yarray.cc | 2 +-
 3 files changed, 4 insertions(+), 1 deletion(-)

commit b74955dd2f39c651ea7f8337c2542e9fee69d42e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 30 19:38:58 2024 +0200

    Don't arrange, but only limit the position on screen dimension changes.

 src/wmframe.cc | 6 +++++-
 src/wmframe.h  | 1 +
 src/wmmgr.cc   | 6 +++++-
 3 files changed, 11 insertions(+), 2 deletions(-)

commit 313f4e34ab6dcfdf7b97a2ad0b37bc9ebce293ad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 30 19:33:07 2024 +0200

    Tab-complete a leading environment variable in the address bar.

 src/yinputline.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit c46a4a3bf4b509e5c7ed81ab4bb062ee573ebebe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 27 17:51:24 2024 +0200

    Update new address bar features.

 man/icewm.pod | 35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit e8015e8a30e2604c9a21d43e374d099f8238620d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 17:02:50 2024 +0200

    Add a permanent history of commands to the address bar.

 src/aaddressbar.cc | 80 ++++++++++++++++++++++++++++++++++++++++++++++----
 src/aaddressbar.h  | 13 +++++++-
 2 files changed, 87 insertions(+), 6 deletions(-)

commit 38a1e7e7ccaf80ad04d651d2b861492dd7f73886
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 17:02:11 2024 +0200

    Add Tab completion on usernames and on environment variables.

 src/yinputline.cc | 88 +++++++++++++++++++++++++++++++++++++++++++++++----
 src/yinputline.h  |  7 ++--
 2 files changed, 87 insertions(+), 8 deletions(-)

commit 70d2729935f4d75a9c48273c3194127c896cbf5f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 17:01:45 2024 +0200

    Add minute as a time unit.

 src/ytime.h | 2 ++
 1 file changed, 2 insertions(+)

commit 387c2c1b83859bc0ea6e924d68f46793630402f5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 17:01:06 2024 +0200

    Always create directory in getPrivConfFile.

 src/wmsave.cc | 2 +-
 src/yapp.h    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c918446137679c05ceddb62274bf7052bbf695f6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 17:00:21 2024 +0200

    Use ensureDirectory in getPrivConfDir.

 src/yapp.cc | 31 ++++++++++++-------------------
 1 file changed, 12 insertions(+), 19 deletions(-)

commit 90d07bbb14396576a43b267c8ecba88e0ac79ccb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 17:00:01 2024 +0200

    Check for path existence in rewritePrefs.

 src/wmconfig.cc | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

commit 04fe14696a07614ae0da9013cd4655afdd7ecacb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 16:58:19 2024 +0200

    Extra test on upath expansion.

 src/strtest.cc | 2 ++
 1 file changed, 2 insertions(+)

commit d6386073e64e68cb9d38068a28c28ac54e987b0d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 16:57:50 2024 +0200

    Use 'space' instead of 'Space' in default key bindings.

 src/bindkey.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5f325f2d017cea1b0d5738e1a331fb6bf49700c9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 16:57:24 2024 +0200

    Add ensureDirectory to upath.

 src/upath.cc | 40 +++++++++++++++++++++++++++-------------
 src/upath.h  |  1 +
 2 files changed, 28 insertions(+), 13 deletions(-)

commit 85684a3232134445536cbd8f6755ed1139d35305
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 26 16:56:18 2024 +0200

    Replace duplicate code in getsesfile with getPrivConfFile.

 src/ysmapp.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 333dfd340873494944abad4fd0acd116299bc628
Author: Rodrigo Macedo <sottomaiormacedotec@sottomaiormacedo.tech>
Date:   Thu May 23 20:30:01 2024 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (527 of 527 strings)

 po/pt_BR.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 928e1b5b379a233627de72886d8dd29543cf2f2d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 23 19:50:57 2024 +0200

    MailBoxPath is a list separated by spaces.

 src/default.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac664a3ddfe52c5a013ecc5f7ead9ff0aa026186
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed May 22 23:04:31 2024 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (527 of 527 strings)

 po/pt.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 442fc5c60ba83106eec8be5e4cf6ab811b213b60
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 20:30:38 2024 +0200

    MailBoxPath is a list separated by spaces.

 man/icewm-preferences.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee8388ffe8126fbc50bac67581c0a08fef3154bb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 20:07:46 2024 +0200

    Drop obsolete AC_HEADERs from configure.

 configure.ac | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 35ebf6098bda3287f343d21906b2c3496bfb3399
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 16:51:49 2024 +0200

    Prepare 3.5.0 release

 AUTHORS      |   22 +-
 ChangeLog    | 1210 ++++++++++++++++++++++++------------------------------
 NEWS         |  131 +++---
 README.md    |   16 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |   12 +-
 po/ast.po    |   12 +-
 po/be.po     |   12 +-
 po/bg.po     |   12 +-
 po/ca.po     |   16 +-
 po/cs.po     |   16 +-
 po/da.po     |   12 +-
 po/de.po     |   12 +-
 po/el.po     |   12 +-
 po/en.po     |   12 +-
 po/eo.po     |   12 +-
 po/es.po     |   12 +-
 po/fa.po     |   12 +-
 po/fi.po     |   12 +-
 po/fr.po     |   12 +-
 po/he.po     |   12 +-
 po/hi.po     |   12 +-
 po/hr.po     |   12 +-
 po/hu.po     |   12 +-
 po/icewm.pot |   14 +-
 po/id.po     |   12 +-
 po/ie.po     |   12 +-
 po/it.po     |   12 +-
 po/ja.po     |   19 +-
 po/ka.po     |   12 +-
 po/kk.po     |   12 +-
 po/ko.po     |   12 +-
 po/lt.po     |   12 +-
 po/lv.po     |   12 +-
 po/mk.po     |   12 +-
 po/nb.po     |   12 +-
 po/nl.po     |   16 +-
 po/nn.po     |   12 +-
 po/no.po     |   12 +-
 po/pl.po     |   12 +-
 po/pt.po     |   12 +-
 po/pt_BR.po  |   12 +-
 po/ro.po     |   12 +-
 po/ru.po     |   16 +-
 po/si.po     |   12 +-
 po/sk.po     |   16 +-
 po/sl.po     |   12 +-
 po/sv.po     |   16 +-
 po/tr.po     |   12 +-
 po/uk.po     |   12 +-
 po/vi.po     |   12 +-
 po/zh_CN.po  |   12 +-
 po/zh_TW.po  |   12 +-
 55 files changed, 940 insertions(+), 1062 deletions(-)

commit a98a2c4e13df96b59b25e28e1eee48263fabc9e5
Merge: dc1e68ff 1fb15135
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 16:43:46 2024 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 1fb15135f115271cffc3cc50c81889c9d9c17498
Merge: 803f8224 32a5fc42
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 16:40:47 2024 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 32a5fc429ef718732588585f66889a9321d46d1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 15:41:47 2024 +0200

    Don't chdir after realpath, but test for directory.

 src/aaddressbar.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 670a60c6d2e0861cc4e7cd3aeebe6c5ae49b8e5d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 11:40:06 2024 +0200

    Add "cd" and "pwd" commands to the address bar. Add tilde expansion on
    user login names.

 man/icewm.pod      | 29 ++++++++++------
 src/aaddressbar.cc | 92 +++++++++++++++++++++++++++++++++++++-------------
 src/aaddressbar.h  | 16 ++++++---
 src/aworkspaces.cc |  2 +-
 src/aworkspaces.h  |  2 +-
 src/icehelp.cc     |  2 +-
 src/icerun.cc      |  2 +-
 src/upath.cc       | 42 +++++++++++++++++++----
 src/upath.h        |  2 ++
 src/yfileio.cc     |  8 +----
 src/yinputline.cc  | 15 ++++----
 src/yinputline.h   |  2 +-
 src/ymsgbox.cc     |  2 +-
 src/ymsgbox.h      |  2 +-
 14 files changed, 152 insertions(+), 66 deletions(-)

commit f343387857843be6bdfc69541cd9027f44c5705b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 19 22:53:27 2024 +0200

    When lowering a frame by KeyWinLower or by a menu action, then also
    lower the frame in the focus order, otherwise it appears as the first
    entry in the Quick Switch.

 src/wmframe.cc | 19 +++++++++++--------
 src/wmframe.h  |  3 ++-
 src/wmmgr.cc   |  3 ++-
 3 files changed, 15 insertions(+), 10 deletions(-)

commit ca61a8f05bce3e6dc54d46953c2e19c946bc7913
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 18 00:09:00 2024 +0200

    Delay clearing the urgency flag in the client for half a second.

 src/wmclient.cc | 48 ++++++++++++++++++++++++++++++------------------
 src/wmclient.h  |  2 ++
 2 files changed, 32 insertions(+), 18 deletions(-)

commit ebb8358b0e4beeea2cde5a79049bdab44f67176b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 16 20:09:25 2024 +0200

    Also do tilde expansion in file arguments.

 src/upath.cc      | 1 +
 src/yinputline.cc | 7 ++++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit afc144259a587e2b85518c38d756b2395630d5c8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 16 18:43:30 2024 +0200

    Document the address bar editing keys.

 man/icewm.pod | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 51 insertions(+), 5 deletions(-)

commit e2c090dfeafb87c696603c2966f8eb31ace3c76f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 16 18:21:23 2024 +0200

    Point documentation links to website.

 README.md    | 16 ++++++++--------
 README.md.in | 16 ++++++++--------
 2 files changed, 16 insertions(+), 16 deletions(-)

commit b63d74747489e1e79cada759f380800a78c05265
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 16 18:14:07 2024 +0200

    update README to 3.4.7

 README.md | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 58bebf5386babd4027bf1d98c83e6198facf4d23
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 16 18:09:34 2024 +0200

    Drop the C from the glob flags as it returns a starred string on failure.

 src/yinputline.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 305e090a20c78e0eb7fc49e722e14876f35c6ab7
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Wed May 15 20:02:22 2024 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (527 of 527 strings)

 po/sv.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2ce64dc03d7ae243fa95a62c3305ded75d804bc7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 15 23:58:36 2024 +0200

    'icesh winoptions' only affects new windows.

 man/icesh.pod | 1 +
 man/icewm.pod | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit a3298454936809d7d9054ec6b1d7c53a7617d9cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 15 23:44:29 2024 +0200

    Add file argument completion to the addressbar for ice-wm/icewm#33

 src/yinputline.cc | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 9208fa4deb3fc805587a3db7bd18e4df0ebb31fd
Author: David Medina <medipas@gmail.com>
Date:   Tue May 14 14:27:17 2024 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (527 of 527 strings)

 po/ca.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 31e2f172ad1991d34c5008ca0963fd5a7541f623
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 14 16:13:11 2024 +0200

    Fix portability to NetBSD 10 and closes #775.

 src/ylocale.cc | 6 ------
 1 file changed, 6 deletions(-)

commit 723ee459ce049e0ff078e95d9391c02470b5c42a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 14 16:12:29 2024 +0200

    Fix portability to NetBSD 10 and closes #774.

 src/udir.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit af8b9e1808b362ba5613cfb6c16f50dfa119d0ce
Merge: 3027a685 3576580c
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Tue May 14 14:02:50 2024 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate.

commit 3576580c8a593a6ae1be622332a4b9f21f437f11
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Tue May 14 05:37:09 2024 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (527 of 527 strings)

 po/tr.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 3027a68525cc0423c014b20f63d0a3a8f344151e
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Tue May 14 05:37:09 2024 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (527 of 527 strings)

 po/tr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a34494aae7f2249274ec9a9b363eb9771114751f
Author: Aleš Kastner <alkas@volny.cz>
Date:   Mon May 13 19:57:08 2024 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (527 of 527 strings)

 po/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 38b59c715b592398e3853f3b25e7b977db4b248b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 12 12:57:28 2024 +0200

    2024

 src/wmabout.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8dc73965603b70516782c32cd475d36b51272c6b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 12 12:57:03 2024 +0200

    Show spaces around KeyboardLayouts example.

 man/icewm.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c5c5a0aafe17e527cd00831fcef630b3d7afe53
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Sun May 12 06:05:08 2024 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (527 of 527 strings)

 po/ru.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3d8f83f8c72704e056795ad6e00127508e91c441
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Fri May 10 12:33:42 2024 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (527 of 527 strings)

 po/sk.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d9be91403fd06e942a81d71b6237fc1e94afd29b
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Fri May 10 14:51:59 2024 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (527 of 527 strings)

 po/ru.po | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit b432968f83f733c66a912b7e99be4d5ad54ac7c2
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu May 9 21:18:38 2024 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (527 of 527 strings)

 po/nl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 08d55176545e23b9570dfa4ec9e5d422ec01cb9b
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Thu May 9 22:13:49 2024 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (527 of 527 strings)

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1023c55360a8fa680c045297d23263974c872ae0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 9 20:46:46 2024 +0200

    Update pot files.

 po/ar.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/ast.po    | 222 +++++++++++++++++++++++++++--------------------------
 po/be.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/el.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/eo.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/es.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/fa.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/fi.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/he.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/hi.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/hr.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/hu.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 224 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/ie.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/it.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/ja.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/ka.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/kk.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/ko.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/lv.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/nn.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/no.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/pt.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 224 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/ru.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/si.po     | 222 +++++++++++++++++++++++++++--------------------------
 po/sk.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/sl.po     | 228 ++++++++++++++++++++++++++++---------------------------
 po/sv.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 224 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 224 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 224 +++++++++++++++++++++++++++---------------------------
 48 files changed, 5472 insertions(+), 5280 deletions(-)

commit e35d440f4acad66ad81f954b436648de1bf9cd95
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 9 20:46:23 2024 +0200

    Add -i,--install option to help output.

 src/wmapp.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 5eda9c0cc036ba09c613587bad1e8c066c2cff36
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 9 20:43:49 2024 +0200

    Add chdir and set errno in fileExists.

 src/theminst.cc |  2 +-
 src/upath.cc    | 11 ++++++++++-
 src/upath.h     |  1 +
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 5b44cc106e7763ae9524b3e3288a28189bce4b0d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 9 12:18:20 2024 +0200

    Keyboard layout icon names can be longer than 2 letters for issue
    ice-wm/icewm#161.

 man/icewm.pod    |  2 +-
 src/akeyboard.cc | 27 +++++++++++++++++++--------
 src/akeyboard.h  |  1 +
 3 files changed, 21 insertions(+), 9 deletions(-)

commit 5bad4b0a5cebf5716184b4e5a15cb1cf66907150
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 8 17:27:14 2024 +0200

    Clarify icons for keyboard layouts.

 man/icewm.pod | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit cc183f635aaede9f8235fab988d113c1a9cb4b0e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 7 22:58:46 2024 +0200

    Add -i,--install option to icewm to install an extra theme.

 man/icewm.pod      |   5 ++
 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   2 +
 src/theminst.cc    | 215 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/theminst.h     |   6 ++
 src/wmapp.cc       |  19 ++---
 6 files changed, 239 insertions(+), 10 deletions(-)

commit 67df1d4d6fe26894375e28aa5dae1a542c359738
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 7 22:48:34 2024 +0200

    Add fmt to mstring.

 src/mstring.cc | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/mstring.h  |  1 +
 src/strtest.cc |  9 +++++++++
 3 files changed, 62 insertions(+)

commit dfb6fecab38f9f51ce58f9543a3c8b0affd18d9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 7 22:47:31 2024 +0200

    Avoid a shell in show_backtrace.

 src/misc.cc | 59 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 48 insertions(+), 11 deletions(-)

commit a73e9837f8db5159302d16185d1680559527fb17
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 7 22:45:01 2024 +0200

    Set errno in dirExists and fix leak for userhome in expand.

 src/upath.cc | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 5caef064a75e580bcb9f396d040a8f40870442fc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 5 15:38:32 2024 +0200

    Improve readability of setState.

 src/wmframe.cc | 69 +++++++++++++++++++++++++-----------------------------
 1 file changed, 32 insertions(+), 37 deletions(-)

commit 0a9b70b1aaa8aba1ce8f2fbec8a69f7e513c5504
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 29 22:55:22 2024 +0200

    When the frame drops urgency, also update the client.

 src/atasks.cc   | 2 --
 src/wmclient.cc | 6 +++++-
 src/wmframe.cc  | 4 ++--
 3 files changed, 7 insertions(+), 5 deletions(-)

commit f59682cc732c4060811175c9191b11e36e4cc3d4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 25 15:24:27 2024 +0200

    Clear urgency and stop flashing when focusing a client.

 src/atasks.cc   | 4 ++--
 src/wmclient.cc | 7 +++++++
 src/wmclient.h  | 1 +
 src/wmframe.cc  | 6 +++---
 src/wmmgr.cc    | 2 ++
 5 files changed, 15 insertions(+), 5 deletions(-)

commit 2dadb9b3388078c6c38a0d2968d615f9a6e20948
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 25 14:51:28 2024 +0200

    Let "icesh restore" also clear the urgency flag.

 man/icesh.pod |  4 ++--
 src/icesh.cc  | 11 ++++++++++-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit af5650d4855b1c36c72653d8d6707ab2f35fd78d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 22 18:40:25 2024 +0200

    Succinct handling of mstrings in themes.

 src/themes.cc | 25 +++++++++++++------------
 src/themes.h  | 20 ++++++++++----------
 2 files changed, 23 insertions(+), 22 deletions(-)

commit 68ff0f45fc0b9d6052a9094d4f2052c59d9c176a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 22 18:38:26 2024 +0200

    Never handle internal WM actions via XSendEvent, but always via XPutBack.

 src/wmapp.cc |  4 ++--
 src/wmmgr.cc | 26 ++++++++++----------------
 src/wmmgr.h  |  2 +-
 3 files changed, 13 insertions(+), 19 deletions(-)

commit e54d76ec9be21e633915a34faeb9f508f40f5e25
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Wed Apr 17 16:25:29 2024 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (526 of 526 strings)

 po/sk.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3429a0a015a0300e7b1061b1b2b340f98303834a
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Apr 4 12:19:11 2024 +0200

    Adding FDO weblinks to specification references

 man/icewm-menu-fdo.pod | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dc1e68ff1bb3510ec804f8438ed304525175b9b9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 25 20:07:58 2024 +0100

    Prepare 3.4.7 release

 AUTHORS      |   2 +-
 ChangeLog    | 192 +++++++++++++++++++++++++++++--------------------------
 NEWS         |  56 +++++-----------
 README.md    |  38 +++++------
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +--
 7 files changed, 146 insertions(+), 156 deletions(-)

commit a69deee625d18deecc7091a111117e55c8bb7023
Merge: 4064096b 803f8224
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 25 20:00:33 2024 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 803f82247fe4a9f762c575535ae747e1fbed6d3c
Merge: 85f70037 5bd70713
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 25 19:59:11 2024 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 5bd7071318ad731d5e151a73b1eeb9e2130ddeb3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 17 10:05:41 2024 +0100

    detail

 src/keysyms.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e534b92a3bd4e1c7188f25e90085933b6bbc4f3b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 16 22:04:30 2024 +0100

    Support more international keyboard layouts for issue #768.

 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   2 +
 src/keysyms.cc     | 782 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/keysyms.h      |   6 +
 src/wmapp.cc       |  17 +-
 src/wmapp.h        |   1 +
 src/yconfig.cc     |  26 +-
 7 files changed, 827 insertions(+), 9 deletions(-)

commit 4064096b73962b16f1eecec232f848bf998d354b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 7 19:38:03 2024 +0100

    Prepare 3.4.6 release

 AUTHORS            |  17 +-
 ChangeLog          | 761 +++++++++++++++++++++----------------------------
 INSTALL.cmakebuild |   7 +-
 NEWS               | 100 ++++---
 README.md          |  38 +--
 RELEASE.md         |   2 +-
 VERSION            |   2 +-
 configure.ac       |  10 +-
 po/ar.po           |  22 +-
 po/ast.po          |  22 +-
 po/be.po           |  22 +-
 po/bg.po           |  22 +-
 po/ca.po           |  22 +-
 po/cs.po           |  22 +-
 po/da.po           |  22 +-
 po/de.po           |  26 +-
 po/el.po           |  22 +-
 po/en.po           |  22 +-
 po/eo.po           |  22 +-
 po/es.po           |  26 +-
 po/fa.po           |  22 +-
 po/fi.po           |  22 +-
 po/fr.po           |  26 +-
 po/he.po           |  22 +-
 po/hi.po           |  22 +-
 po/hr.po           |  22 +-
 po/hu.po           |  22 +-
 po/icewm.pot       |  24 +-
 po/id.po           |  22 +-
 po/ie.po           |  22 +-
 po/it.po           |  26 +-
 po/ja.po           |  22 +-
 po/ka.po           |  22 +-
 po/kk.po           |  22 +-
 po/ko.po           |  22 +-
 po/lt.po           |  22 +-
 po/lv.po           |  22 +-
 po/mk.po           |  22 +-
 po/nb.po           |  22 +-
 po/nl.po           |  22 +-
 po/nn.po           |  22 +-
 po/no.po           |  22 +-
 po/pl.po           |  22 +-
 po/pt.po           |  22 +-
 po/pt_BR.po        |  22 +-
 po/ro.po           |  22 +-
 po/ru.po           |  26 +-
 po/si.po           |  22 +-
 po/sk.po           |  22 +-
 po/sl.po           |  26 +-
 po/sv.po           |  22 +-
 po/tr.po           |  22 +-
 po/uk.po           |  22 +-
 po/vi.po           |  22 +-
 po/zh_CN.po        |  22 +-
 po/zh_TW.po        |  22 +-
 56 files changed, 966 insertions(+), 1053 deletions(-)

commit 44031657751c5a620fb1cfeffd221f60a1846741
Merge: abb22149 85f70037
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 7 19:30:58 2024 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 85f70037ff86cb51093bdd0065160d7c58b5e0b2
Merge: 467f07b7 6af40472
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 7 19:30:34 2024 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6af404723f568b9892b42e67784b952b7bce2430
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 5 12:22:54 2024 +0100

    Always pass first mouse click to icewm internal windows for issue #768.

 src/wmcontainer.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc5bcbe650a2c93720db6209b53f19cdf72f4024
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 5 00:43:35 2024 +0100

    Avoid updating the desktop background image twice in succession.

 src/icewmbg.cc | 22 ++++++++++++++++++----
 src/ytimer.cc  | 25 ++++++++++++++-----------
 src/ytimer.h   |  3 ++-
 3 files changed, 34 insertions(+), 16 deletions(-)

commit 138c4a47c64a8adfb7de74ec239d9c9b15e50c6b
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Mon Mar 4 15:08:48 2024 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (526 of 526 strings)

 po/fr.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 99a1885017d7b31ca011bee8732ba1b598a63300
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon Mar 4 08:45:07 2024 +0000

    Translated using Weblate (Chinese (Taiwan) (zh_TW))

    Currently translated at 100.0% (526 of 526 strings)

 po/zh_TW.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 1b02d04945a95c0f58b36ff6cb420b58033ab306
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon Mar 4 03:13:31 2024 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (526 of 526 strings)

 po/zh_CN.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 34d77ede6c18c1637fe749ebd02c66ec4d2c73e0
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Fri Mar 1 14:27:34 2024 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (526 of 526 strings)

 po/it.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit b23504341b60f75319ae40c7aefb3a5788f54512
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Thu Feb 29 21:23:02 2024 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (526 of 526 strings)

 po/es.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 2d1619fe6e1c8d34c760ad9badb2b0ebba09be0c
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Feb 29 17:53:03 2024 +0100

    Fix dependency of msgmerge command

    Also added an option to install the updated PO files back into the
    source code.

 INSTALL-cmakebuild.md |  7 ++++-
 po/CMakeLists.txt     | 67 +++++++++++++++++++++++++++++------------------
 2 files changed, 48 insertions(+), 26 deletions(-)

commit 3270940280e05d637330eb76756aaa6686d7efe2
Author: Gemineo <vistatec@gemineo.de>
Date:   Thu Feb 29 12:11:24 2024 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (526 of 526 strings)

 po/de.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 09371b57f9ae55fb976c0a6fefc04b2e995c7ab3
Author: Arnold Marko <atomicmind@yahoo.com>
Date:   Thu Feb 22 22:06:49 2024 +0000

    Translated using Weblate (Slovenian)

    Currently translated at 70.7% (372 of 526 strings)

 po/sl.po | 539 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 256 insertions(+), 283 deletions(-)

commit 8c1398f22b47ad4e4e4d5026ed9e6dd5d8facff3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 20 19:47:19 2024 +0100

    Let icewmbg log the image path when verbose is true.

 src/icewmbg.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 947780f94b43cfc519330b4c9837961dd23d7a7b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 16 00:43:08 2024 +0100

    Document the --verbose option to icewmbg.

 man/icewmbg.pod | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 5cc690b94f140a5238fac274d436d4e970cb61d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 16 00:42:16 2024 +0100

    Prevent the RandR options from being set by a theme in icewmbg.

 src/icewmbg.cc | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 2abbe86ebf1668d7c0d02d919c41e235cafb249b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 16 00:39:44 2024 +0100

    When undoing an arrange or showing the desktop, focus the last focused
    window instead of the topmost window.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94334ca9e4d3929e9e01090f5a1dc1564a18474d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 10 18:17:05 2024 +0100

    succinct

 man/icewmbg.pod | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit bacbfe8a28dd001b7a139c157d39c9c64ab93583
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 9 18:41:31 2024 +0100

    Remove the static window gravity from the taskbar collapse button.

 src/wmtaskbar.cc | 1 -
 1 file changed, 1 deletion(-)

commit 7dddea2a6f6ec705111e14cf8142740e602a05fd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 8 18:56:30 2024 +0100

    Explain that keys button bidings only work over the root window.

 man/icewm-keys.pod | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 3575fbf2d8094be22886bbce0b8b63689d098958
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 8 18:54:55 2024 +0100

    Include the Xinerama and RandR preferences in icewmbg.

 src/icewmbg.cc      | 4 +++-
 src/icewmbg_prefs.h | 8 ++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 3d805c544d9923c222de01b64b6d89adbb20693c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 04:30:25 2024 +0100

    When positioning a menu, include the vertical screen offset.

 src/ymenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d441b93e218e97382eb2c473dbf918d4fc58beb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 04:01:02 2024 +0100

    Fix typo dx to dy in menu focusItem.

 src/ymenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c55f3a34c437dc537d3480e0a450d31c985d5eb8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 04:00:00 2024 +0100

    Expand tilde and HOME in IconPath for issue 766.

 src/yicon.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 15da0e9c29ec95047471ad371853335514adee26
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 03:58:11 2024 +0100

    Delay the allocation of the taskbar frame until after the layout.

 src/wmtaskbar.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit a0c887c7cc85dd278de13159b9b71aebf750017c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 3 22:06:07 2024 +0100

    Revert "Force taskbar on XineramaPrimaryScreen"
    617b375b79b54602f0848ceff6a654dc7c5b0204.

 src/wmtaskbar.cc | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 617b375b79b54602f0848ceff6a654dc7c5b0204
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 3 00:31:24 2024 +0100

    Force the taskbar on the XineramaPrimaryScreen for issue ice-wm/icewm#157.

 src/wmtaskbar.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 92a62ee4000084688e120a0bfab8ff0391752ed9
Author: Foo Bar <foobarcc@segfault.net>
Date:   Wed Jan 24 21:34:48 2024 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 99.8% (525 of 526 strings)

 po/zh_CN.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f861108f4a85aec0c09727d9853d367269658945
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 22 21:35:49 2024 +0100

    Fix icewmbg centering when the XRender extension is used.

 src/icewmbg.cc      | 9 +++++++++
 src/icewmbg_prefs.h | 2 +-
 src/ypaint.cc       | 4 ++--
 3 files changed, 12 insertions(+), 3 deletions(-)

commit 261d26421c9cdc5d6f83e875d190c1da699b0a39
Author: Vik On <4o3lxdc1y@mozmail.com>
Date:   Fri Jan 12 22:21:45 2024 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (526 of 526 strings)

 po/ru.po | 96 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 48 deletions(-)

commit 62d2d12bc1e3d9a6f78dcbfc4c6710fd1da39b2b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 10 21:26:47 2024 +0100

    In DEBUG mode, guard against nullptr focus.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
